<?php
/**
 * @file
 * This file contains all functons which need for Spider FC.
 */

/**
 * View calendars.
 */
function spider_fc_view_calendars() {
  $calendars_id = db_query("SELECT id FROM {spider_fc_calendar_table}")->fetchCol();
  if (count($calendars_id) >= 1) {
    drupal_set_message(t('To add more than one calendar, go to Spider FC module page on <a href="http://drupal.org/">drupal.org</a>.'), 'error', FALSE);
  }
  if (isset($_POST['delete'])) {
    spider_fc_delete_cal();
  }
  elseif (isset($_POST['publish'])) {
    spider_fc_publishall(1);
  }
  elseif (isset($_POST['unpublish'])) {
    spider_fc_publishall(0);
  }
  spider_fc_publish('calendar');
  $cal_ids = db_query("SELECT id FROM {spider_fc_calendar_table}")->fetchCol();
  $number = 1;
  $form = array();
  $resultc = '';
  $resultc .= '
  <style>
    .calendar {
      border: none;
      background-color: rgba(255, 255, 255, 0);
    }
  </style>
  <table>
    <tr>
      <th>#</th>
      <th> </th>
      <th>ID</th>
      <th width="500">' . t('Title') . '</th>
      <th>' . t('Manage Events') . '</th>
      <th>' . t('Published') . '</th>
    </tr>';
  foreach ($cal_ids as $cal_id) {
    $value = db_query("SELECT * FROM {spider_fc_calendar_table} WHERE id = :id", array(':id' => $cal_id));
    $inf = $value->fetchObject();
    $id = $inf->id;
    $title = $inf->title;
    $published = $inf->published;
    $result = db_query("SELECT published FROM {spider_fc_calendar_table} WHERE id = :id", array(':id' => $id));
    $p = $result->fetchObject();
    $string_edit = url('admin/settings/spider_fc', array(
      'query' => array('task' => 'edit', 'id' => ''),
      'absolute' => FALSE));
    $string_event = url('admin/settings/spider_fc', array(
      'query' => array('task' => 'event', 'calendar' => ''),
      'absolute' => FALSE));
    $resultc .= '
    <tr  style="border-bottom:1px solid #cccccc;">
      <td>' . $number++ . '</td>
      <td>
        <input type="checkbox" name = "check' . $id . '">
      </td>
      <td>' . $id . '</td>
      <td>
        <a href="' . $string_edit . '' . $id . '"> ' . $title . '</a>
      </td>
      <td>
        <a href="' . $string_event . '' . $id . '">' . t('Manage Events') . '</a></th>
      </td>
      <td>';
    if ($p->published) {
      $resultc .= '
        <input type="image" value="p" name = "publish' . $id . '" src= "' . base_path() . drupal_get_path('module', 'spider_fc') . '/images/p.png" alt="published">';
    }
    else {
      $resultc .= '
        <input type="image" value="p" name = "publish' . $id . '" src= "' . base_path() . drupal_get_path('module', 'spider_fc') . '/images/x.png" alt="unpublished">';
    }
    $resultc .= '
      </td>
    </tr>';
  }
  $resultc .= '
  </table>';
  $form['result1'] = array(
    '#type' => 'fieldset',
    '#attributes' => array('class' => array('calendar')),
    '#value' => spider_fc_change_buttons(),
  );
  $form['resultc'] = array(
    '#title' => t('Calendars'),
    '#type' => 'fieldset',
    '#attributes' => array('class' => array('calendar')),
    '#value' => $resultc,
  );
  return $form;
}

/**
 * Publish/Unpublish and Delete.
 */
function spider_fc_change_buttons() {
  $string = url('admin/settings/spider_fc', array('query' => array('task' => 'new'), 'absolute' => FALSE));
  $change = '
  <input type="submit" value="' . t('Publish') . '" name = "publish" class="form-submit">
  <input type="submit" value="' . t('Unpublish') . '" name = "unpublish" class="form-submit">
  <input type="submit" value="' . t('Delete') . '" name = "delete" class="form-submit">
  <a href="' . $string . '">' . t('New') . '</a>';
  return $change;
}

/**
 * Delete calendars.
 */
function spider_fc_delete_cal() {
  $cal = db_query("SELECT id FROM {spider_fc_calendar_table}")->fetchCol();
  foreach ($cal as $inf) {
    $id = $inf;
    if (isset($_POST['check' . $id])) {
      db_query("DELETE FROM {spider_fc_calendar_table} WHERE id=:id", array(':id' => $id));
      db_query("DELETE FROM {spider_fc_events_table} WHERE calendar=:calendar", array(':calendar' => $id));
    }
  }
}

/**
 * Publish calendars.
 */
function spider_fc_publishall($x) {
  $cal = db_query("SELECT id FROM {spider_fc_calendar_table}")->fetchCol();
  foreach ($cal as $inf) {
    $id = $inf;
    if (isset($_POST['check' . $id])) {
      if ($x) {
        db_query("UPDATE {spider_fc_calendar_table} SET published= :published WHERE id = :id", array(
          ':published' => 1,
          ':id' => $id,
        ));
      }
      else {
        db_query("UPDATE {spider_fc_calendar_table} SET published= :published WHERE id = :id", array(
          ':published' => 0,
          ':id' => $id,
        ));
      }
    }
  }
}

/**
 * View calendar.
 */
function spider_fc_publish($x) {
  if ($x == 'calendar') {
    $exchange_id = db_query("SELECT id FROM {spider_fc_calendar_table}")->fetchCol();
  }
  elseif ($x == 'event') {
    $exchange_id = db_query("SELECT id FROM {spider_fc_events_table}")->fetchCol();
  }
  foreach ($exchange_id as $exchangeinf) {
    $id = $exchangeinf;
    if (isset($_POST['publish' . $id])) {
      $value = db_query("SELECT * FROM {spider_fc_calendar_table} WHERE id = :id", array(':id' => $id));
      $row = $value->fetchObject();
      $ispublish = 1 - $row->published;
      db_query("UPDATE {spider_fc_calendar_table} SET published= :published WHERE id = :id", array(
        ':published' => $ispublish,
        ':id' => $id,
      ));
    }
    elseif (isset($_POST['publish_event' . $id])) {
      $value = db_query("SELECT * FROM {spider_fc_events_table} WHERE id = :id", array(':id' => $id));
      $row = $value->fetchObject();
      $ispublish = 1 - $row->published;
      db_query("UPDATE {spider_fc_events_table} SET published= :published WHERE id = :id", array(
        ':published' => $ispublish,
        ':id' => $id,
      ));
    }
  }
}

/**
 * Add calendar.
 */
function spider_fc_calendar_insert() {
  $form = array();
  $new = '
  <style>
    .calendar {
      border: none;
      display: inline;
      background-color: rgba(255, 255, 255, 0);
    }
    fieldset .fieldset-wrapper {
      padding: 0px;
    }
  </style>
  <p style="font-size:20px; font-weight:bold; color:#3B9AD4;">' . t('Create a new calendar') . '</p>';
  $select = '
  <strong>' . t('Theme') . ':</strong><br />
  <select name="theme" class="form-select">';
  $result = db_query("SELECT id FROM {spider_fc_theme_table} ORDER BY title")->fetchCol();
  foreach ($result as $theme_id) {
    $value = db_query("SELECT * FROM {spider_fc_theme_table} WHERE id = :id", array(':id' => $theme_id));
    $theme = $value->fetchObject();
    $select .= '
    <option value="' . $theme_id . '" ' . ($theme->title == 'Simple blue' ? 'SELECTED' : '') . '>' . $theme->title . '</option>';
  }
  $select .= '
  </select>';
  $form['new'] = array(
    '#type' => 'fieldset',
    '#attributes' => array('class' => array('calendar')),
    '#value' => $new,
  );
  $form['title'] = array(
    '#title' => t('Title'),
    '#type' => 'textfield',
    '#required' => TRUE,
    '#size' => '20',
  );
  $form['theme'] = array(
    '#type' => 'fieldset',
    '#attributes' => array('class' => array('calendar')),
    '#value' => $select,
  );
  $form['published'] = array(
    '#type' => 'radios',
    '#title' => t('Published'),
    '#default_value' => 0,
    '#options' => array(
      t('Yes'),
      t('No'),
    ),
  );
  $string_new_cal_save = url('admin/settings/spider_fc', array('query' => array('task' => 'cal_new_save'), 'absolute' => FALSE));
  $string_new_cal_apply = url('admin/settings/spider_fc', array('query' => array('task' => 'cal_new_apply'), 'absolute' => FALSE));
  $string_cal_cancle = url('admin/settings/spider_fc', array('absolute' => FALSE));
  drupal_add_js(drupal_get_path('module', 'spider_fc') . '/js/spider_fc_cal_save.js');
  drupal_add_js(array(
    'spider_fc' => array(
      'string_new_cal_save' => $string_new_cal_save,
      'string_new_cal_apply' => $string_new_cal_apply,
    ),
    ), 'setting');
  $buttons = '<input id="aaaaaa" type="submit" value="' . t('Save') . '" onclick=spider_fc_new_cal_save() class="form-submit">
              <input type="submit" value="' . t('Apply') . '" onclick=spider_fc_new_cal_apply() class="form-submit">
              <input type="button" value="' . t('Cancel') . '" onclick="window.location.href=\'' . $string_cal_cancle . '\'" class="form-submit">';
  $form['cancel'] = array(
    '#type' => 'fieldset',
    '#attributes' => array('class' => array('calendar')),
    '#value' => $buttons,
  );
  return $form;
}

/**
 * Save calendar.
 */
function spider_fc_save_calendar() {
  if (!isset($_POST['title'])) {
    return;
  }
  $title = check_plain($_POST['title']);
  if ($title == '') {
    drupal_set_message(t('Set Calendar title.'), 'error', FALSE);
    return;
  }
  if (!isset($_POST['theme'])) {
    return;
  }
  $theme = check_plain($_POST['theme']);
  $published = check_plain($_POST['published']);
  $published = 1 - $published;
  if (isset($_GET['id'])) {
    db_query("UPDATE {spider_fc_calendar_table} SET title= :title,theme=:theme,published=:published WHERE id=:id", array(
      ':title' => $nodetitle,
      ':theme' => $theme,
      ':published' => $published,
      ':id' => $_GET['id']));
  }
  else {
    $cal_titles = db_query("SELECT title FROM {spider_fc_calendar_table}")->fetchCol();
    foreach ($cal_titles as $cal_title) {
      if ($title == $cal_title) {
        $_SESSION['spider_fc_message'] = t('Calendar title must be unique.');
        $_SESSION['spider_fc_message_status'] = 'error';
        return;
      }
    }
    $calendar = array(
      'title' => $title,
      'theme' => $theme,
      'published' => $published,
    );
    drupal_write_record('spider_fc_calendar_table', $calendar);
    $_SESSION['spider_fc_message'] = t('Your calendar successfully saved.');
    $_SESSION['spider_fc_message_status'] = 'status';
  }
}

/**
 * Get themes.
 */
function spider_fc_get_cal_themes() {
  $themes = array();
  $themes = db_query("SELECT title FROM {spider_fc_theme_table} ORDER BY title")->fetchCol();
  return $themes;
}

/**
 * Edit calendar form.
 */
function spider_fc_calendar_edit($id) {
  $default_res = db_query("SELECT * FROM {spider_fc_calendar_table} WHERE id = :id", array(':id' => $id));
  $default = $default_res->fetchObject();
  $default_title = $default->title;
  $default_id = $default->theme;
  $value = db_query("SELECT * FROM {spider_fc_theme_table} WHERE id = :id", array(':id' => $default_id));
  $row = $value->fetchObject();
  $default_theme = $row->title;
  $default_published = 1 - $default->published;
  $form = array();
  $edit = '
  <style>
    .calendar {
      border: none;
      display: inline;
      background-color: rgba(255, 255, 255, 0);
    }
    fieldset .fieldset-wrapper {
      padding: 0px;
    }
  </style>
  <p style="font-size:20px; font-weight:bold; color:#3B9AD4;">'  . t('Edit calendar') . ' ' . $default_title . '</p>';
  $form['edit'] = array(
    '#type' => 'fieldset',
    '#attributes' => array('class' => array('calendar')),
    '#value' => $edit,
  );
  $form['title'] = array(
    '#title' => t('Title'),
    '#type' => 'textfield',
    '#required' => TRUE,
    '#size' => '20',
    '#default_value' => $default_title,
  );
  $select = '
  <strong>' . t('Theme') . ':</strong><br />
  <select name="theme" class="form-select">';
  $result_id = db_query("SELECT id FROM {spider_fc_theme_table} ORDER BY title")->fetchCol();
  foreach ($result_id as $theme_id) {
    $value = db_query("SELECT * FROM {spider_fc_theme_table} WHERE id = :id", array(':id' => $theme_id));
    $theme = $value->fetchObject();
    $select .= '
    <option value="' . $theme_id . '" ' . ($theme->title == $default_theme ? 'SELECTED' : '') . '>' . $theme->title . '</option>';
  }
  $select .= '
  </select>';
  $form['theme'] = array(
    '#type' => 'fieldset',
    '#attributes' => array('class' => array('calendar')),
    '#value' => $select,
  );
  $form['published'] = array(
    '#type' => 'radios',
    '#title' => t('Published'),
    '#default_value' => $default_published,
    '#options' => array(
      t('Yes'),
      t('No'),
    ),
  );
  $string_edit_cal_save = url('admin/settings/spider_fc', array(
    'query' => array('task' => 'cal_edit_save', 'id' => ''),
    'absolute' => FALSE));
  $string_edit_cal_apply = url('admin/settings/spider_fc', array(
    'query' => array('task' => 'cal_edit_apply', 'id' => ''),
    'absolute' => FALSE));
  $string_cal_cancle = url('admin/settings/spider_fc', array('absolute' => FALSE));
  drupal_add_js(drupal_get_path('module', 'spider_fc') . '/js/spider_fc_cal_save.js');
  drupal_add_js(array(
    'spider_fc' => array(
      'string_edit_cal_save' => $string_edit_cal_save,
      'string_edit_cal_apply' => $string_edit_cal_apply,
      'edit_cal_id' => $id,
    ),
    ), 'setting');
  $buttons = '<input type="submit" value="' . t('Save') . '" onclick=spider_fc_edit_cal_save() class="form-submit">
              <input type="submit" value="' . t('Apply') . '" onclick=spider_fc_edit_cal_apply() class="form-submit">
              <input type="button" value="' . t('Cancel') . '" onclick="window.location.href=\'' . $string_cal_cancle . '\'" class="form-submit">';
  $form['cancel'] = array(
    '#type' => 'fieldset',
    '#attributes' => array('class' => array('calendar')),
    '#value' => $buttons,
  );
  return $form;
}

/**
 * Edit calendar.
 */
function spider_fc_edit_calendar() {
  if (!isset($_POST['title'])) {
    return;
  }
  $title = check_plain($_POST['title']);
  if ($title == '') {
    drupal_set_message(t('Set Calendar title.'), 'error', FALSE);
    return;
  }
  if (!isset($_POST['theme'])) {
    return;
  }
  $theme = check_plain($_POST['theme']);
  $published = check_plain($_POST['published']);
  $published = 1 - $published;
  if (isset($_GET['id'])) {
    $id = $_GET['id'];
  }
  $cal_titles = db_query("SELECT title FROM {spider_fc_calendar_table} WHERE id<>:id", array(':id' => $id))->fetchCol();
  foreach ($cal_titles as $cal_title) {
    if ($title == $cal_title) {
      $_SESSION['spider_fc_message'] = t('Calendar title must be unique.');
      $_SESSION['spider_fc_message_status'] = 'error';
      return;
    };
  }
  db_query("UPDATE {spider_fc_calendar_table} SET published= :published, theme= :theme, title= :title WHERE id = :id", array(
    ':published' => $published,
    ':theme' => $theme,
    ':title' => $title,
    ':id' => $id,
  ));
  $_SESSION['spider_fc_message'] = t('Your calendar successfully updated.');
  $_SESSION['spider_fc_message_status'] = 'status';
}

/**
 * Event form.
 */
function spider_fc_calendar_event($x) {
  $events_id = db_query("SELECT id FROM {spider_fc_events_table}")->fetchCol();
  if (count($events_id) >= 3) {
    drupal_set_message(t('To add more than three events, go to Spider FC module page on <a href="http://drupal.org/">drupal.org</a>.'), 'error', FALSE);
  }
  if (isset($_POST['delete_event'])) {
    spider_fc_delete_cal_event();
  }
  elseif (isset($_POST['publish_event'])) {
    spider_fc_publishall_cal_event(1);
  }
  elseif (isset($_POST['unpublish_event'])) {
    spider_fc_publishall_cal_event(0);
  }
  spider_fc_publish('event');
  $cal_id = db_query("SELECT id FROM {spider_fc_events_table} WHERE calendar= :calendar", array(':calendar' => $x))->fetchCol();
  $number = 1;
  $form = array();
  $resultc = '';
  $resultc .= '
  <style>
    .calendar {
      border: none;
      background-color: rgba(255, 255, 255, 0);
    }
  </style>
  <table>
    <tr>
      <th>#</th>
      <th> </th>
      <th>ID</th>
      <th width="400">' . t('Title') . '</th>
      <th width="200">' . t('Date') . '</th>
      <th width="150">' . t('Time') . '</th>
      <th>' . t('Published') . '</th>
    </tr>';
  foreach ($cal_id as $inf_id) {
    $value = db_query("SELECT * FROM {spider_fc_events_table} WHERE id = :id", array(':id' => $inf_id));
    $inf = $value->fetchObject();
    $id = $inf_id;
    $title = $inf->title;
    $published = $inf->published;
    $date_begin = $inf->date_begin;
    $date_end = $inf->date_end;
    $time = $inf->event_time_begin;
    $result = db_query("SELECT published FROM {spider_fc_events_table} WHERE id = :id", array(':id' => $id));
    $p = $result->fetchObject();
    $string = url('admin/settings/spider_fc', array(
      'query' => array('task' => 'event_edit', 'calendar' => ''),
      'absolute' => FALSE));
    $resultc .= '
    <tr  style="border-bottom:1px solid #cccccc;">
      <td>' . $number++ . '</td>
      <td>
        <input type="checkbox" name = "check_event' . $id . '">
      </td>
      <td>' . $id . '</td>
      <td>
        <a href="' . $string . $_GET['calendar'] . '&id=' . $id . '">' . $title . '</a>
      </td>
      <td>' . $date_begin . '  -  ' . $date_end . '</td>
      <td>' . $time . '</td>
      <td>';
    if ($p->published) {
      $resultc .= '
        <input type="image" value="p" name = "publish_event' . $id . '" src= "' . base_path() . drupal_get_path('module', 'spider_fc') . '/images/p.png" alt="published">';
    }
    else {
      $resultc .= '
        <input type="image" value="p" name = "publish_event' . $id . '" src= "' . base_path() . drupal_get_path('module', 'spider_fc') . '/images/x.png" alt="published">';
    }
    $resultc .= '
      </td>
    </tr>';
  }
  $resultc .= '
  </table>';
  $form['result1'] = array(
    '#type' => 'fieldset',
    '#attributes' => array('class' => array('calendar')),
    '#value' => spider_fc_change_cal_event($_GET['calendar']),
  );
  $cal_title = db_query("SELECT title FROM {spider_fc_calendar_table} WHERE id=:id", array(':id' => $x))->fetchField();
  $form['resultc'] = array(
    '#title' => $cal_title . ' ' . t('Calendar events'),
    '#type' => 'fieldset',
    '#attributes' => array('class' => array('calendar')),
    '#value' => $resultc,
  );
  return $form;
}

/**
 * Save event.
 */
function spider_fc_save_cal_event($v, $id) {
  $dir = 'public://';
  $upload_event = array();
  if ($_FILES != NULL) {
    foreach ($_FILES['files']['name'] as $key => $value) {
      if (drupal_substr($key, 0, 12) == 'image_upload') {
        $image_name = $_FILES['files']['name'][$key];
        $image_size = $_FILES['files']['size'][$key];
        $image_type = $_FILES['files']['type'][$key];
        $image_file = file_save_upload($key, array(), $dir);
        if ($image_file) {
          $pos = drupal_strlen($key) - strrpos($key, '_') - 1;
          $index = drupal_substr($key, -$pos);
          $upload_event[$index] = '#*type*##*img*#' . base_path() . 'sites/default/files/' . $image_name;
        }
      }
    }
    foreach ($_FILES['files']['name'] as $key => $value) {
      if (drupal_substr($key, 0, 12) == 'video_upload') {
        $video_name = $_FILES['files']['name'][$key];
        $video_size = $_FILES['files']['size'][$key];
        $video_type = $_FILES['files']['type'][$key];
        $video_file = file_save_upload($key, array('file_validate_extensions' => array('flv mp4')), $dir);
        if ($video_file) {
          $pos = drupal_strlen($key) - strrpos($key, '_') - 1;
          $index = drupal_substr($key, -$pos);
          $upload_event[$index] = '#*type*##*vidHttp*#' . base_path() . 'sites/default/files/' . $video_name;
        }
      }
    }
  }
  foreach ($_POST as $key => $value) {
    if (drupal_substr($key, 0, 12) == 'videoyoutube') {
      $pos = drupal_strlen($key) - strrpos($key, '_') - 1;
      $index = drupal_substr($key, -$pos);
      $upload_event[$index] = '#*type*##*vidYoutube*#' . $value;
    }
  }
  $count_array = count($upload_event);
  // Array to string.
  if (!isset($items)) {
    $items = '';
  }
  for ($i = $count_array - 1; $i >= 0; $i--) {
    $items .= $upload_event[$i];
  }
  foreach ($_POST as $key => $value) {
    if (drupal_substr($key, 0, 10) == 'delete_img') {
      $items .= $value;
    }
    if (drupal_substr($key, 0, 14) == 'delete_vidHttp') {
      $items .= $value;
    }
    if (drupal_substr($key, 0, 17) == 'delete_vidYoutube') {
      $items .= $value;
    }
  }
  if (!isset($_POST['title_event'])) {
    return;
  }
  $title_event = check_plain($_POST['title_event']);
  if ($title_event == '') {
    $_SESSION['spider_fc_message'] = t('Set event title.');
    $_SESSION['spider_fc_message_status'] = 'error';
    return;
  }
  $time_event = check_plain($_POST['time_event1']);
  $time_event .= ':';
  $time_event .= check_plain($_POST['time_event2']);
  if (check_plain($_POST['time_event3']) != '' && check_plain($_POST['time_event4']) != '') {
    $time_event .= '-';
    $time_event .= check_plain($_POST['time_event3']);
    $time_event .= ':';
    $time_event .= check_plain($_POST['time_event4']);
  }
  if (drupal_substr($time_event, 0, 1) == ':') {
    $time_event = '';
  }
  $date_start_event = check_plain($_POST['date_start_event']['year']);
  $date_start_event_month = check_plain($_POST['date_start_event']['month']);
  $date_start_event_day = check_plain($_POST['date_start_event']['day']);
  $date_start_event .= '-';
  $date_start_event .= $date_start_event_month < 10 ? "0" . $date_start_event_month : $date_start_event_month;
  $date_start_event .= '-';
  $date_start_event .= $date_start_event_day < 10 ? "0" . $date_start_event_day : $date_start_event_day;
  $date_end_event = check_plain($_POST['date_end_event']['year']);
  $date_end_event_month = check_plain($_POST['date_start_event']['month']);
  $date_end_event_day = check_plain($_POST['date_start_event']['day']);
  $date_end_event .= '-';
  $date_end_event .= $date_end_event_month < 10 ? "0" . $date_end_event_month : $date_end_event_month;
  $date_end_event .= '-';
  $date_end_event .= $date_end_event_day < 10 ? "0" . $date_end_event_day : $date_end_event_day;
  if (isset($_POST['text_event'])) {
    $text_event = check_plain($_POST['text_event']);
  }
  else {
    $text_event = '';
  }
  if (isset($_POST['contents'])) {
    if ($_POST['contents'] == '-Select content-') {
      $nid = '';
      $content_html_event = '';
      if (isset($_POST['content_css_event'])) {
        $css_event = check_plain($_POST['content_css_event']);
      }
      else {
        $css_event = '';
      }
    }
    else {
      $nid = check_plain($_POST['contents']);
      $value = db_query("SELECT * FROM {field_data_body} WHERE revision_id = :revision_id", array(':revision_id' => $nid));
      $row = $value->fetchObject();
      $content_html_event = $row->body_value;
      $css_event = check_plain($_POST['content_css_event']);
    }
  }
  else {
    $content_html_event = '';
  }
  $checked = 1;
  if (isset($_POST['text_event']) && $_POST['text_event'] != '') {
    $checked = 1;
  }
  elseif (isset($_POST['html_event'])) {
    if ($_POST['html_event'] != '') {
      $checked = 2;
    }
  }
  // If($_POST['contents'] != '-Select content-').
  else {
    $checked = 3;
  }
  if (isset($_POST['html_event'])) {
    $html_event = $_POST['html_event'];
  }
  else {
    $html_event = '';
  }
  if (isset($_POST['html_event'])) {
    if ($_POST['html_event'] != '') {
      if (isset($_POST['html_css_event'])) {
        $css_event = check_plain($_POST['html_css_event']);
      }
    }
  }
  $type_event = check_plain($_POST['type_event']);
  $priority_event = check_plain($_POST['priority_event']);
  $published_event = check_plain($_POST['published_event']);
  $published_event = 1 - $published_event;
  if ($v == 'new') {
    $calendar = $_GET['calendar'];
    $event = array(
      'title' => $title_event,
      'calendar' => $calendar,
      'event_time_begin' => $time_event,
      'event_time_end' => '',
      'cssUrl' => '',
      'date_begin' => $date_start_event,
      'date_end' => $date_end_event,
      'type' => $type_event,
      'text' => $text_event,
      'html' => $html_event,
      'htmlUrl' => $nid,
      'contenthtml' => $content_html_event,
      'css' => $css_event,
      'event_type' => '',
      'priority' => $priority_event,
      'published' => $published_event,
      'items' => $items,
      'checked' => $checked,
    );
    drupal_write_record('spider_fc_events_table', $event);
    $_SESSION['spider_fc_message'] = t('New event has been saved.');
    $_SESSION['spider_fc_message_status'] = 'status';
  }
  elseif ($v == 'edit') {
    $calendar = $_GET['calendar'];
    db_query("UPDATE {spider_fc_events_table} SET title= :title, calendar= :calendar, event_time_begin= :event_time_begin,type= :type,text= :text,html= :html,htmlUrl= :htmlUrl,css= :css,contenthtml= :contenthtml,priority= :priority,date_begin= :date_begin,date_end= :date_end, published= :published, items= :items, checked= :checked WHERE id= :id", array(
      ':title' => $title_event,
      ':calendar' => $calendar,
      ':event_time_begin' => $time_event,
      ':type' => $type_event,
      ':text' => $text_event,
      ':html' => $html_event,
      ':htmlUrl' => $nid,
      ':css' => $css_event,
      ':contenthtml' => $content_html_event,
      ':priority' => $priority_event,
      ':date_begin' => $date_start_event,
      ':date_end' => $date_end_event,
      ':published' => $published_event,
      ':items' => $items,
      ':checked' => $checked,
      ':id' => $id,
    ));
    $_SESSION['spider_fc_message'] = t('The event has been edited.');
    $_SESSION['spider_fc_message_status'] = 'status';
  }
}

/**
 * Delete event.
 */
function spider_fc_delete_cal_event() {
  $event = db_query("SELECT id FROM {spider_fc_events_table}")->fetchCol();
  foreach ($event as $inf) {
    $id = $inf;
    if (isset($_POST['check_event' . $id])) {
      db_query("DELETE FROM {spider_fc_events_table} WHERE id = :id", array(':id' => $id));
    }
  }
}

/**
 * Publish events.
 */
function spider_fc_publishall_cal_event($x) {
  $event = db_query("SELECT id FROM {spider_fc_events_table}")->fetchCol();
  foreach ($event as $inf) {
    $id = $inf;
    if (isset($_POST['check_event' . $id])) {
      if ($x) {
        db_query("UPDATE {spider_fc_events_table} SET published= :published WHERE id = :id", array(
          ':published' => 1,
          ':id' => $id,
        ));
      }
      else {
        db_query("UPDATE {spider_fc_events_table} SET published= :published WHERE id = :id", array(
          ':published' => 0,
          ':id' => $id,
        ));
      }
    }
  }
}

/**
 * Publish/Unpublish and Delete events.
 */
function spider_fc_change_cal_event($calendar) {
  $string = url('admin/settings/spider_fc', array(
    'query' => array('task' => 'new_event', 'calendar' => ''),
    'absolute' => FALSE));
  $change = '
  <input type="submit" value="' . t('Publish') . '" name = "publish_event" class="form-submit">
  <input type="submit" value="' . t('Unpublish') . '" name = "unpublish_event" class="form-submit">
  <input type="submit" value="' . t('Delete') . '" name = "delete_event" class="form-submit">
  <a href="' . $string . $calendar . '">' . t('New') . '</a>';
  return $change;
}

/**
 * Add event.
 */
function spider_fc_new_event($v, $event_id) {
  $published_event = 0;
  $calnumber = $_GET['calendar'];
  $cal_title = db_query("SELECT title FROM {spider_fc_calendar_table} WHERE id=:id", array(':id' => $calnumber))->fetchField();
  if ($v == 'edit') {
    if (isset($_GET['id'])) {
      $xcal = $_GET['id'];
    }
    else {
      $xcal = $event_id;
    }
    $value = db_query("SELECT * FROM {spider_fc_events_table} WHERE id = :id", array(':id' => $xcal));
    $calinf = $value->fetchObject();
    $title_event = $calinf->title;
    $time_event = $calinf->event_time_begin;
    $time_event1 = drupal_substr($time_event, 0, 2);
    $time_event2 = drupal_substr($time_event, 3, 2);
    $time_event3 = drupal_substr($time_event, 6, 2);
    $time_event4 = drupal_substr($time_event, 9, 2);
    $date_ev = $calinf->date_begin;
    $date_event = array(
      'year' => intval(drupal_substr($date_ev, 0, 4)),
      'month' => intval(drupal_substr($date_ev, 5, 2)),
      'day' => intval(drupal_substr($date_ev, 8, 2)),
    );
    $date_end_ev = $calinf->date_end;
    $date_end_event = array(
      'year' => intval(drupal_substr($date_end_ev, 0, 4)),
      'month' => intval(drupal_substr($date_end_ev, 5, 2)),
      'day' => intval(drupal_substr($date_end_ev, 8, 2)),
    );
    $item_array = explode('#*type*#', $calinf->items);
    unset($item_array[0]);
    $i = 0;
    if ($calinf->items != '') {
      $show_items = '<div id="viewUploadsDiv"><strong>' . t('Uploaded files:') . '</strong>';
    }
    else {
      $show_items = '<div id="viewUploadsDiv"><br />';
    }
    foreach ($item_array as $item) {
      $image_array_example = explode('#*img*#', $item);
      if ($image_array_example[0] == '') {
        $show_items .= '<div id="imguploaded_id_' . $i . '">' . $image_array_example[1] . '  <img src="' . base_path() . drupal_get_path('module', 'spider_fc') . '/images/delete.png" style="cursor: pointer;" onclick=delete_file("img","' . $i . '")>
        <input type="hidden" name="delete_img_' . $i . '" value="#*type*##*img*#' . $image_array_example[1] . '" >
        </div>';
      }
      $video_array_example = explode('#*vidHttp*#', $item);
      if ($video_array_example[0] == '') {
        $show_items .= '<div id="videouploaded_id_' . $i . '">' . $video_array_example[1] . '  <img src="' . base_path() . drupal_get_path('module', 'spider_fc') . '/images/delete.png" style="cursor: pointer;" onclick=delete_file("vidHttp","' . $i . '")>
        <input type="hidden" name="delete_vidHttp_' . $i . '" value="#*type*##*vidHttp*#' . $video_array_example[1] . '" >
        </div>';
      }
      $videoyoutube_array_example = explode('#*vidYoutube*#', $item);
      if ($videoyoutube_array_example[0] == '') {
        $show_items .= '<div id="youtubeuploaded_id_' . $i . '">' . $videoyoutube_array_example[1] . '  <img src="' . base_path() . drupal_get_path('module', 'spider_fc') . '/images/delete.png" style="cursor: pointer;" onclick=delete_file("vidYoutube","' . $i . '")>
        <input type="hidden" name="delete_vidYoutube_' . $i . '" value="#*type*##*vidYoutube*#' . $videoyoutube_array_example[1] . '" >
        </div>';
      }
      ++$i;
    }
    $show_items .= '</div>';
    $text_event = $calinf->text;
    $html_event = $calinf->html;
    $content_html = $calinf->contenthtml;
    $default_nodes_array = $calinf->htmlUrl;
    $css_event = $calinf->css;
    $type_event = $calinf->type;
    $priority_event = $calinf->priority;
    $published_event = 1 - $calinf->published;
    $checked = $calinf->checked;
  }
  else {
    $title_event = '';
    $time_event1 = '';
    $time_event2 = '';
    $time_event3 = '';
    $time_event4 = '';
    $date_event = '';
    $date_end_event = '';
    $text_event = '';
    $html_event = '';
    $show_items = '';
    $css_event = '';
    $default_nodes_array = '-Select content-';
    $type_event = '';
    $priority_event = '';
    $checked = 1;
  }
  $form['title_event'] = array(
    '#prefix' => '<h2>' . t('Calendar') . ' ' . $cal_title . '</h2>',
    '#title' => t('Title'),
    '#type' => 'textfield',
    '#size' => 40,
    '#default_value' => $title_event,
  );
  drupal_add_js(drupal_get_path('module', 'spider_fc') . '/js/spider_fc_hour.js');
  $time_event_value = '
    <style>
      .calendar {
          border: none;
          padding: 0px;
          background-color: rgba(255, 255, 255, 0);
        }
        fieldset .fieldset-wrapper {
          padding:0px;
        }
	  </style>
    <div style="font-weight:bold;">Time</div>
    <input type="text" name="time_event1" id="time_event1" size="2" value="' . $time_event1 . '" style="text-align:right" onkeypress="return checkhour(\'time_event1\')" onblur="add_0(\'time_event1\')" class="form-text"> :
    <input type="text" name="time_event2" id="time_event2" size="2" value="' . $time_event2 . '" style="text-align:right" onkeypress="return checkminute(\'time_event2\')" onblur="add_0(\'time_event2\')" class="form-text"> -
    <input type="text" name="time_event3" id="time_event3" size="2" value="' . $time_event3 . '" style="text-align:right" onkeypress="return checkhour(\'time_event3\')" onblur="add_0(\'time_event3\')" class="form-text"> :
    <input type="text" name="time_event4" id="time_event4" size="2" value="' . $time_event4 . '" style="text-align:right" onkeypress="return checkminute(\'time_event4\')" onblur="add_0(\'time_event4\')" class="form-text">';
  $form['time_event'] = array(
    '#type' => 'fieldset',
    '#value' => $time_event_value,
    '#attributes' => array('class' => array('calendar')),
  );
  $form['date_start_event'] = array(
    '#title' => t('Date start'),
    '#type' => 'date',
    '#default_value' => $date_event,
  );
  $form['date_end_event'] = array(
    '#title' => t('Date end'),
    '#type' => 'date',
    '#size' => 40,
    '#default_value' => $date_end_event,
  );
  $form['show_items'] = array(
    '#type' => 'fieldset',
    '#attributes' => array('class' => array('calendar')),
    '#value' => $show_items,
  );
  $form['#attributes'] = array('enctype' => 'multipart/form-data');
  drupal_add_js(drupal_get_path('module', 'spider_fc') . '/js/spider_fc_attach_file.js');
  $add_image_loader = '
  <input type="button" value="' . t('Add Image') . '" onclick=addUploadBox() class="form-submit"></input>
  <input type="button" value="' . t('Add Video') . '" onclick=addUploadVideoBox() class="form-submit"></input>
  <input type="button" value="' . t('Add Video from YouTube') . '" onclick=addYoutubeVideoBox() class="form-submit"></input>';
  $form['div_image'] = array(
    '#type' => 'fieldset',
    '#attributes' => array('class' => array('calendar')),
    '#value' => '<div id="inputImageContainer"></div>',
  );
  $form['add_image_loader'] = array(
    '#type' => 'fieldset',
    '#attributes' => array('class' => array('calendar')),
    '#value' => $add_image_loader . '<div style="font-size:0.85em; color:#89898">' . t('You can upload only jpg,png image files and mp4,flv video files.') . '</div>',
  );
  if (file_exists("sites/all/libraries/tinymce/jscripts/tiny_mce/tiny_mce.js")) {
    drupal_add_js('sites/all/libraries/tinymce/jscripts/tiny_mce/tiny_mce.js');
  }
  drupal_add_js(drupal_get_path('module', 'spider_fc') . '/js/spider_fc_attach_file.js');
  drupal_add_js(array(
    'spider_fc' => array(
      'text_header' => '<strong>' . t('Text') . ':</strong>',
      'content_header' => '<strong>' . t('Content') . ':</strong>',
      'text_event' => $text_event,
      'html_event' => $html_event,
      'css_event' => $css_event,
    ),
    ), 'setting');

  $change = '
    <input type="radio" name="text" onmouseup=\'change_event_type("text", this.checked)\'' . ($checked == 1 ? 'CHECKED' : '') . '>' . t('Text') . '</input>
    <input type="radio" name="text" onmouseup=\'change_event_type("html", this.checked)\'' . ($checked == 2 ? 'CHECKED' : '') . '>HTML</input>
    <input type="radio" name="text" onmouseup=\'change_event_type("content", this.checked)\'' . ($checked == 3 ? 'CHECKED' : '') . '>' . t('Content') . '</input>';
  if ($checked == 1) {
    drupal_add_js('change_event_type("text");', array('type' => 'inline', 'scope' => 'footer'));
  }
  elseif ($checked == 2) {
    drupal_add_js('change_event_type("html");', array('type' => 'inline', 'scope' => 'footer'));
  }
  else {
    drupal_add_js('change_event_type("content");', array('type' => 'inline', 'scope' => 'footer'));
  }

  // Title div.
  $form['title'] = array(
    '#type' => 'fieldset',
    '#attributes' => array('class' => array('calendar')),
    '#value' => '<br /><br /><div id="title_div"></div>',
  );

  // Content div.
  $nodes_id = db_query("SELECT nid FROM {node}")->fetchCol();
  $contents_div = '
  <div id="content_select" style="display:none;position:relative">
  <select name="contents" class="form-select">
  <option value="-Select content-" ' . ('-Select content-' == $default_nodes_array ? 'SELECTED' : '') . '>' . t('-Select content-') . '</option>';
  foreach ($nodes_id as $node_id) {
    $value = db_query("SELECT * FROM {node} WHERE nid = :nid", array(':nid' => $node_id));
    $a = $value->fetchObject();
    $a->title;
    $contents_div .= '
    <option value="' . $node_id . '" ' . ($node_id == $default_nodes_array ? 'SELECTED' : '') . '>' . $a->title . '</option>';
  }
  $contents_div .= '
  </select>
  </div>';
  $form['contents_view'] = array(
    '#type' => 'fieldset',
    '#attributes' => array('class' => array('calendar')),
    '#value' => $contents_div,
  );

  // Editor div.
  $editor = '<div id="editor" style="width:400px;"></div>';
  $form['text_event'] = array(
    '#type' => 'fieldset',
    '#attributes' => array('class' => array('calendar')),
    '#value' => $editor,
  );

  // Radio buttons.
  $form['change'] = array(
    '#type' => 'fieldset',
    '#attributes' => array('class' => array('calendar')),
    '#value' => $change,
  );

  $form['type_event'] = array(
    '#title' => t('Type'),
    '#type' => 'textfield',
    '#size' => 40,
    '#default_value' => $type_event,
  );
  $form['priority_event'] = array(
    '#type' => 'select',
    '#title' => t('Priority'),
    '#size' => '1',
    '#options' => array(
      t('No Priority'),
      t('Low Priority'),
      t('Medium Priority'),
      t('High Priority'),
    ),
    '#default_value' => $priority_event,
  );
  $form['published_event'] = array(
    '#type' => 'radios',
    '#title' => t('Published'),
    '#default_value' => $published_event,
    '#options' => array(
      t('Yes'),
      t('No'),
    ),
  );
  if ($v == 'edit') {
    $string_edit_save = url('admin/settings/spider_fc', array(
      'query' => array('task' => 'event_edit_save', 'calendar' => ''),
      'absolute' => FALSE));
    $string_edit_apply = url('admin/settings/spider_fc', array(
      'query' => array('task' => 'event_edit_apply', 'calendar' => ''),
      'absolute' => FALSE));
    $string_cancle = url('admin/settings/spider_fc', array(
      'query' => array('task' => 'event', 'calendar' => ''),
      'absolute' => FALSE));
    drupal_add_js(drupal_get_path('module', 'spider_fc') . '/js/spider_fc_attach_file.js');
    drupal_add_js(array(
      'spider_fc' => array(
        'string_edit_save' => $string_edit_save,
        'string_edit_apply' => $string_edit_apply,
        'get_calendar' => $_GET['calendar'],
        'id_calendar' => $_GET['id'],
      ),
      ), 'setting');
    $buttons = '<input type="submit" value="' . t('Save') . '" onclick=\'if (document.getElementById("edit-title-event").value == "") {confirm(Drupal.t("Event Title is required."));return false;} spider_fc_save_edit();\' class="form-submit">
                <input type="submit" value="' . t('Apply') . '" onclick=\'if (document.getElementById("edit-title-event").value == "") {confirm(Drupal.t("Event Title is required."));return false;} spider_fc_apply_edit();\' class="form-submit">
                <input type="button" value="' . t('Cancel') . '" onclick="window.location.href=\'' . $string_cancle . $_GET['calendar'] . '\'" class="form-submit">';
    $form['a'] = array(
      '#type' => 'fieldset',
      '#attributes' => array('class' => array('calendar')),
      '#value' => $buttons,
    );
  }
  else {
    $string_new_save = url('admin/settings/spider_fc', array(
      'query' => array('task' => 'event_new_save', 'calendar' => ''),
      'absolute' => FALSE));
    $string_new_apply = url('admin/settings/spider_fc', array(
      'query' => array('task' => 'event_new_apply', 'calendar' => ''),
      'absolute' => FALSE));
    $string_cancle = url('admin/settings/spider_fc', array(
      'query' => array('task' => 'event', 'calendar' => ''),
      'absolute' => FALSE));
    drupal_add_js(drupal_get_path('module', 'spider_fc') . '/js/spider_fc_attach_file.js');
    drupal_add_js(array(
      'spider_fc' => array(
        'string_new_save' => $string_new_save,
        'string_new_apply' => $string_new_apply,
        'get_calendar' => $_GET['calendar'],
      ),
      ), 'setting');
    $buttons = '<input type="submit" value="' . t('Save') . '" onclick=\'if (document.getElementById("edit-title-event").value == "") {confirm(Drupal.t("Event Title is required."));return false;} spider_fc_save_new();\' class="form-submit">
                <input type="submit" value="' . t('Apply') . '" onclick=\'if (document.getElementById("edit-title-event").value == "") {confirm(Drupal.t("Event Title is required."));return false;} spider_fc_apply_new();\' class="form-submit">
                <input type="button" value="' . t('Cancel') . '" onclick="window.location.href=\'' . $string_cancle . $_GET['calendar'] . '\'" class="form-submit">';
    $form['cancel'] = array(
      '#type' => 'fieldset',
      '#attributes' => array('class' => array('calendar')),
      '#value' => $buttons,
    );
  }
  return $form;
}

/**
 * Theme form.
 */
function spider_fc_view_cal_theme() {
  if (isset($_POST['delete_theme'])) {
    spider_fc_delete_cal_theme();
  }
  $theme_id = db_query("SELECT id FROM {spider_fc_theme_table}")->fetchCol();
  $number = 1;
  $form = array();
  $resultc = '';
  $resultc .= '
  <style>
    .calendar {
      border: none;
      background-color: rgba(255, 255, 255, 0);
	}
  </style>
  <table>
    <col width="50" />
    <col width="50" />
    <col width="50" />
    <tr>
      <th>#</th>
      <th> </th>
      <th>ID</th>
      <th width="500">' . t('Title') . '</th>
    </tr>';
  foreach ($theme_id as $inf_id) {
    $value = db_query("SELECT * FROM {spider_fc_theme_table} WHERE id = :id", array(':id' => $inf_id));
    $inf = $value->fetchObject();
    $id = $inf_id;
    $title = $inf->title;
    $string = url('admin/settings/spider_fc/Themes', array('query' => array('theme' => ''), 'absolute' => FALSE));
    $resultc .= '
    <tr  style="border-bottom:1px solid #cccccc;">
      <td>' . $number++ . '</td>
      <td>';
    if ($inf->default_settings == 1) {
      $resultc .= '';
    }
    else {
      $resultc .= '
        <input type="checkbox" name = "check_theme' . $id . '">';
    }
    $resultc .= '
      </td>
      <td>' . $id . '</td>
      <td>
        <a href="' . $string . 'edit&id=' . $id . '"> ' . $title . '</a>
      </td>
    
    </tr>';
  }
  $resultc .= '
  </table>';
  $form['result1'] = array(
    '#type' => 'fieldset',
    '#attributes' => array('class' => array('calendar')),
    '#value' => spider_fc_cal_theme_change(),
  );
  $form['resultc'] = array(
    '#title' => t('Themes'),
    '#type' => 'fieldset',
    '#attributes' => array('class' => array('calendar')),
    '#value' => $resultc,
  );
  return $form;
}

/**
 * Themes Delete and New buttons.
 */
function spider_fc_cal_theme_change() {
  $string = url('admin/settings/spider_fc/Themes', array('query' => array('theme' => 'new'), 'absolute' => FALSE));
  $change_theme = '
  <input type="submit" value="' . t('Delete') . '" name = "delete_theme" class="form-submit">
  <a href="' . $string . '">' . t('New') . '</a>';
  return $change_theme;
}

/**
 * Delete theme.
 */
function spider_fc_delete_cal_theme() {
  $theme_id = db_query("SELECT id FROM {spider_fc_theme_table}")->fetchCol();
  foreach ($theme_id as $inf_id) {
    $value = db_query("SELECT * FROM {spider_fc_theme_table} WHERE id = :id", array(':id' => $inf_id));
    $inf = $value->fetchObject();
    $id = $inf_id;
    if (isset($_POST['check_theme' . $id])) {
      if ($inf->title == 'Simple blue') {
        drupal_set_message(t("Can't delete default theme"), 'error', FALSE);
      }
      else {
        drupal_set_message(t('Theme deleted.'), 'status', FALSE);
        db_query("DELETE FROM {spider_fc_theme_table} WHERE id = :id", array(':id' => $id));
      }
    }
  }
}

/**
 * Add theme.
 */
function spider_fc_theme_insert($x, $theme_id) {
  if (!file_exists("sites/all/libraries/jscolor/jscolor.js")) {
    drupal_set_message(t("Download 'jscolor' library from <a href='http://jscolor.com/release/jscolor-1.4.0.zip'>http://jscolor.com/release/jscolor-1.4.0.zip</a> and extract it to sites/all/libraries/jscolor directory."), 'error');
  }
  else {
    drupal_add_js('sites/all/libraries/jscolor/jscolor.js');
  }
  if ($x == 'edit') {
    $xtheme = $theme_id;
    $themeinf1 = db_query("SELECT * FROM {spider_fc_theme_table} WHERE id = :id", array(':id' => $xtheme));
    $themeinf = $themeinf1->fetchObject();
    $title_theme = $themeinf->title;
    $default_settings = $themeinf->default_settings;
    $startwithmonday_theme = 1 - $themeinf->startWithMonday;
    $dateformat_theme = $themeinf->dateFormat;
    $dateformatshort_theme = $themeinf->dateFormatShort;
    $time_theme = $themeinf->time;
    $appmaxwidth_theme = $themeinf->appMaxWidth;
    $appmaxheight_theme = $themeinf->appMaxHeight;
    $appminwidth_theme = $themeinf->appMinWidth;
    $appminheight_theme = $themeinf->appMinHeight;
    $startviewsize_theme = $themeinf->startViewSize;
    $startviewstate_theme = $themeinf->startViewState;
    $bgcolors1_theme = $themeinf->bgColors1;
    $bgcolors2_theme = $themeinf->bgColors2;
    $bgstrokecolor_theme = $themeinf->bgStrokeColor;
    $bgcornerradius_theme = $themeinf->bgCornerRadius;
    $headerheight_theme = $themeinf->headerHeight;
    $headerpadding_theme = $themeinf->headerPadding;
    $headerbgcolors1_theme = $themeinf->headerBgColors1;
    $headerbgcolors2_theme = $themeinf->headerBgColors2;
    $headerbgstrokecolor_theme = $themeinf->headerBgStrokeColor;
    $headercontentcolor_theme = $themeinf->headerContentColor;
    $headercontenthovercolor_theme = $themeinf->headerContentHoverColor;
    $headercontentstrokecolor_theme = $themeinf->headerContentStrokeColor;
    $headerfontsize_theme = $themeinf->headerFontSize;
    $daysnamescolor_theme = $themeinf->daysNamesColor;
    $daysnamesfontsize_theme = $themeinf->daysNamesFontSize;
    $daysnamesheight_theme = $themeinf->daysNamesHeight;
    $datesbgcolors1_theme = $themeinf->datesBgColors1;
    $datesbgcolors2_theme = $themeinf->datesBgColors2;
    $datesbgstrokecolor_theme = $themeinf->datesBgStrokeColor;
    $priority0color_theme = $themeinf->priority0Color;
    $priority1color_theme = $themeinf->priority1Color;
    $priority2color_theme = $themeinf->priority2Color;
    $priority3color_theme = $themeinf->priority3Color;
    $datefontsize_theme = $themeinf->dateFontSize;
    $datecolor_theme = $themeinf->dateColor;
    $datestrokecolor_theme = $themeinf->dateStrokeColor;
    $showdateeventscount_theme = $themeinf->showDateEventsCount;
    $dateeventscountfontsize_theme = $themeinf->dateEventsCountFontSize;
    $dateeventscountcolor_theme = $themeinf->dateEventsCountColor;
    $eventslistheaderheight_theme = $themeinf->eventsListHeaderHeight;
    $eventslistheaderstrokecolor_theme = $themeinf->eventsListHeaderStrokeColor;
    $eventslistheaderbgcolors1_theme = $themeinf->eventsListHeaderbgColors1;
    $eventslistheaderbgcolors2_theme = $themeinf->eventsListHeaderbgColors2;
    $eventslistheadercolor_theme = $themeinf->eventsListHeaderColor;
    $eventslistheaderhovercolor_theme = $themeinf->eventsListHeaderHoverColor;
    $eventslistheaderfontsize_theme = $themeinf->eventsListHeaderFontSize;
    $eventheaderheight_theme = $themeinf->eventHeaderHeight;
    $eventheaderfontsize_theme = $themeinf->eventHeaderFontSize;
    $eventheadercolor_theme = $themeinf->eventHeaderColor;
    $eventheaderhovercolor_theme = $themeinf->eventHeaderHoverColor;
    $eventcontentbgcolors1_theme = $themeinf->eventContentBgColors1;
    $eventcontentbgcolors2_theme = $themeinf->eventContentBgColors2;
    $eventcontentdatesfontsize_theme = $themeinf->eventContentDatesFontSize;
    $eventcontentdatescolor_theme = $themeinf->eventContentDatesColor;
    $eventcontentdescriptionfontsize_theme = $themeinf->eventContentDescriptionFontSize;
    $eventcontentdescriptioncolor_theme = $themeinf->eventContentDescriptionColor;
    $mediadefaultautoplay_theme = $themeinf->mediaDefaultAutoplay;
    $mediascaletype_theme = $themeinf->mediaScaleType;
    $mediashowduration_theme = $themeinf->mediaShowDuration;
    $videodefaultvolume_theme = $themeinf->videoDefaultVolume;
    $videoautoplay_theme = $themeinf->videoAutoplay;
    $mediabgcolor_theme = $themeinf->mediaBgColor;
    $mediactrlsbgcolor_theme = $themeinf->mediaCtrlsBgColor;
    $mediactrlsbgalpha_theme = $themeinf->mediaCtrlsBgAlpha;
    $mediactrlscolor_theme = $themeinf->mediaCtrlsColor;
    $mediactrlshovercolor_theme = $themeinf->mediaCtrlsHoverColor;
    $mediactrlsalpha_theme = $themeinf->mediaCtrlsAlpha;
    $footerheight_theme = $themeinf->footerHeight;
    $footercolor_theme = $themeinf->footerColor;
    $footerhovercolor_theme = $themeinf->footerHoverColor;
  }
  else {
    $themeinf1 = db_query("SELECT * FROM {spider_fc_theme_table} WHERE title = :title", array(':title' => 'Simple blue'));
    $themeinf = $themeinf1->fetchObject();
    $title_theme = 'new_Simple blue';
    $default_settings = 0;
    $startwithmonday_theme = 1 - $themeinf->startWithMonday;
    $dateformat_theme = $themeinf->dateFormat;
    $dateformatshort_theme = $themeinf->dateFormatShort;
    $time_theme = $themeinf->time;
    $appmaxwidth_theme = $themeinf->appMaxWidth;
    $appmaxheight_theme = $themeinf->appMaxHeight;
    $appminwidth_theme = $themeinf->appMinWidth;
    $appminheight_theme = $themeinf->appMinHeight;
    $startviewsize_theme = $themeinf->startViewSize;
    $startviewstate_theme = $themeinf->startViewState;
    $bgcolors1_theme = $themeinf->bgColors1;
    $bgcolors2_theme = $themeinf->bgColors2;
    $bgstrokecolor_theme = $themeinf->bgStrokeColor;
    $bgcornerradius_theme = $themeinf->bgCornerRadius;
    $headerheight_theme = $themeinf->headerHeight;
    $headerpadding_theme = $themeinf->headerPadding;
    $headerbgcolors1_theme = $themeinf->headerBgColors1;
    $headerbgcolors2_theme = $themeinf->headerBgColors2;
    $headerbgstrokecolor_theme = $themeinf->headerBgStrokeColor;
    $headercontentcolor_theme = $themeinf->headerContentColor;
    $headercontenthovercolor_theme = $themeinf->headerContentHoverColor;
    $headercontentstrokecolor_theme = $themeinf->headerContentStrokeColor;
    $headerfontsize_theme = $themeinf->headerFontSize;
    $daysnamescolor_theme = $themeinf->daysNamesColor;
    $daysnamesfontsize_theme = $themeinf->daysNamesFontSize;
    $daysnamesheight_theme = $themeinf->daysNamesHeight;
    $datesbgcolors1_theme = $themeinf->datesBgColors1;
    $datesbgcolors2_theme = $themeinf->datesBgColors2;
    $datesbgstrokecolor_theme = $themeinf->datesBgStrokeColor;
    $priority0color_theme = $themeinf->priority0Color;
    $priority1color_theme = $themeinf->priority1Color;
    $priority2color_theme = $themeinf->priority2Color;
    $priority3color_theme = $themeinf->priority3Color;
    $datefontsize_theme = $themeinf->dateFontSize;
    $datecolor_theme = $themeinf->dateColor;
    $datestrokecolor_theme = $themeinf->dateStrokeColor;
    $showdateeventscount_theme = $themeinf->showDateEventsCount;
    $dateeventscountfontsize_theme = $themeinf->dateEventsCountFontSize;
    $dateeventscountcolor_theme = $themeinf->dateEventsCountColor;
    $eventslistheaderheight_theme = $themeinf->eventsListHeaderHeight;
    $eventslistheaderstrokecolor_theme = $themeinf->eventsListHeaderStrokeColor;
    $eventslistheaderbgcolors1_theme = $themeinf->eventsListHeaderbgColors1;
    $eventslistheaderbgcolors2_theme = $themeinf->eventsListHeaderbgColors2;
    $eventslistheadercolor_theme = $themeinf->eventsListHeaderColor;
    $eventslistheaderhovercolor_theme = $themeinf->eventsListHeaderHoverColor;
    $eventslistheaderfontsize_theme = $themeinf->eventsListHeaderFontSize;
    $eventheaderheight_theme = $themeinf->eventHeaderHeight;
    $eventheaderfontsize_theme = $themeinf->eventHeaderFontSize;
    $eventheadercolor_theme = $themeinf->eventHeaderColor;
    $eventheaderhovercolor_theme = $themeinf->eventHeaderHoverColor;
    $eventcontentbgcolors1_theme = $themeinf->eventContentBgColors1;
    $eventcontentbgcolors2_theme = $themeinf->eventContentBgColors2;
    $eventcontentdatesfontsize_theme = $themeinf->eventContentDatesFontSize;
    $eventcontentdatescolor_theme = $themeinf->eventContentDatesColor;
    $eventcontentdescriptionfontsize_theme = $themeinf->eventContentDescriptionFontSize;
    $eventcontentdescriptioncolor_theme = $themeinf->eventContentDescriptionColor;
    $mediadefaultautoplay_theme = $themeinf->mediaDefaultAutoplay;
    $mediascaletype_theme = $themeinf->mediaScaleType;
    $mediashowduration_theme = $themeinf->mediaShowDuration;
    $videodefaultvolume_theme = $themeinf->videoDefaultVolume;
    $videoautoplay_theme = $themeinf->videoAutoplay;
    $mediabgcolor_theme = $themeinf->mediaBgColor;
    $mediactrlsbgcolor_theme = $themeinf->mediaCtrlsBgColor;
    $mediactrlsbgalpha_theme = $themeinf->mediaCtrlsBgAlpha;
    $mediactrlscolor_theme = $themeinf->mediaCtrlsColor;
    $mediactrlshovercolor_theme = $themeinf->mediaCtrlsHoverColor;
    $mediactrlsalpha_theme = $themeinf->mediaCtrlsAlpha;
    $footerheight_theme = $themeinf->footerHeight;
    $footercolor_theme = $themeinf->footerColor;
    $footerhovercolor_theme = $themeinf->footerHoverColor;
  }

  $result = '  
  <style>
    .calendar {
      border: none;
      display: inline;
      background-color: rgba(255, 255, 255, 0);
    }
    fieldset .fieldset-wrapper {
      padding:0px;
    }
  </style>
  <div>';
  if ($default_settings != 1) {
    $result .= '  
    <table style="width:45%; float:left;">
      <col width="210" />
      <col width="200" />      
      <tbody>';
    $default_themes = db_query("SELECT title FROM {spider_fc_theme_table} WHERE default_settings=1")->fetchCol();
    $i = 1;
    $result .= '
        <tr>
          <th>' . t('Inherit from theme') . '</th>
          <td>
            <select id="slect_theme" name="default_theme_selected"  class="form-select">';
    drupal_add_js('var select_theme_change = document.getElementById("slect_theme");
                            if (select_theme_change.addEventListener) {
                              select_theme_change.addEventListener("change", set_theme, false);
                            }
                            else {
                              select_theme_change.attachEvent("onchange", set_theme);
                            }', array('type' => 'inline', 'scope' => 'footer'));
    if ($x == 'edit') {
      $result .= '
              <option value="0" SELECTED></option>';
    }
    foreach ($default_themes as $default_theme) {
      $result .= '
              <option value="' . $i . '">' . $default_theme . '</option>';
      ++$i;
    }
    $result .= '
          </select>
        </td>
      </tr>
      </tbody>
    </table>
    <br /><br /><br />';
  }
  $result .= '
    <fieldset style="width:45%; float:left; border:none;">
      <legend>' . t('General Parametres') . '</legend>
      <table>
        <col width="210" />
        <col width="200" />
        <tbody>';

  $result .= '
          <tr>';
  if ($title_theme == 'Simple blue' || $title_theme == 'Black' || $title_theme == 'Simple grey' || $title_theme == 'Light brown' || $title_theme == 'Red blur' || $title_theme == 'Dodger Blue' || $title_theme == 'Indian Red' || $title_theme == 'Sky blue' || $title_theme == 'Midnight blue' || $title_theme == 'Baby blue') {
    $result .= '
            <th>' . t('Title') . '</th>
              <td>
                <input id="title" type="text" name="title_theme" value="' . $title_theme . '" DISABLED class="form-text"></input>
              </td>';
  }
  else {
    $result .= '
            <th>' . t('Title') . '</th>
            <td>
              <input id="title" type="text" name="title_theme" value="' . $title_theme . '" required="required" class="form-text"></input>
            </td>
          </tr>';
  }
  $result .= '
  <tr>
  <th>' . t('Start With Monday') . '</th>
  <td>
  <input id="startWithMonday_yes" type="radio" name="startWithMonday_theme" value="0" ' . ($startwithmonday_theme == 0 ? 'CHECKED' : '') . '>' . t('Yes') . '</input>
  <input id="startWithMonday_no" type="radio" name="startWithMonday_theme" value="1" ' . ($startwithmonday_theme == 1 ? 'CHECKED' : '') . '>' . t('No') . '</input>
  </td>
  </tr>
  <tr>
  <th>' . t('Date Format') . '</th>
  <td>
  <input id="dateFormat" type="text" name="dateFormat_theme" value="' . $dateformat_theme . '" size="20" class="form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Date Format Short') . '</th>
  <td>
  <input id="dateFormatShort" type="text" name="dateFormatShort_theme" value="' . $dateformatshort_theme . '" size="20" class="form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Time 12 Hours') . '</th>
  <td>
  <input id="time_theme_yes" type="radio" name="time_theme" value="1" ' . ($time_theme == 1 ? 'CHECKED' : '') . '>' . t('Yes') . '</input>
  <input id="time_theme_no" type="radio" name="time_theme" value="0" ' . ($time_theme == 0 ? 'CHECKED' : '') . '>' . t('No') . '</input>
  </td>
  </tr>
  <tr>
  <th>' . t('Width in the large mode') . '</th>
  <td>
  <input id="appMaxWidth" type="text" name="appMaxWidth_theme" value="' . $appmaxwidth_theme . '" size="20" class="form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Height in the large mode') . '</th>
  <td>
  <input id="appMaxHeight" type="text" name="appMaxHeight_theme" value="' . $appmaxheight_theme . '" size="20" class="form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Width in the small mode') . '</th>
  <td>
  <input id="appMinWidth" type="text" name="appMinWidth_theme" value="' . $appminwidth_theme . '" size="20" class="form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Height in the small mode') . '</th>
  <td>
  <input id="appMinHeight" type="text" name="appMinHeight_theme" value="' . $appminheight_theme . '" size="20" class="form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Size mode at start') . '</th>
  <td>
  <select id="startViewSize" name="startViewSize_theme" class="form-select">
  <option value="viewSizeMax" ' . ($startviewsize_theme == 'viewSizeMax' ? 'SELECTED' : '') . '>' . t('Max size') . '</option>
  <option value="viewSizeMin" ' . ($startviewsize_theme == 'viewSizeMin' ? 'SELECTED' : '') . '>' . t('Min Size') . '</option>
  </select>
  </td>
  </tr>
  <tr>
  <th>' . t('View mode at start') . '</th>
  <td>
  <select id="startViewState" name="startViewState_theme" class="form-select">
  <option value="viewStateDays" ' . ($startviewstate_theme == 'viewStateDays' ? 'SELECTED' : '') . '>' . t('Days') . '</option>
  <option value="viewStateMonths" ' . ($startviewstate_theme == 'viewStateMonths' ? 'SELECTED' : '') . '>' . t('Months') . '</option>
  <option value="viewStateYears" ' . ($startviewstate_theme == 'viewStateYears' ? 'SELECTED' : '') . '>' . t('Years') . '</option>
  </select>
  </td>
  </tr>
  <tr>
  <th>' . t('Main background color (gradient)') . '</th>
  <td>
  <input id="bgColors1" type="text" name="bgColors1_theme" value="' . $bgcolors1_theme . '" size="8" class="color form-text"></input>
  <input id="bgColors2" type="text" name="bgColors2_theme" value="' . $bgcolors2_theme . '" size="8" class="color form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Main border color') . '</th>
  <td>
  <input id="bgStrokeColor" type="text" name="bgStrokeColor_theme" value="' . $bgstrokecolor_theme . '" size="20" class="color form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Main border radius') . '</th>
  <td>
  <input id="bgCornerRadius" type="text" name="bgCornerRadius_theme" value="' . $bgcornerradius_theme . '" size="20" class="form-text"></input>
  </td>
  </tr>
  </tbody>
  </table>';
  if (isset($_GET['id']) && $default_settings == 1) {
    $result .= '
				<div id="reset_theme_id" onclick="reset_theme_' . $xtheme . '();" style="width:170px; height:35px; color:#ffffff; font-size:15px; background-repeat:no-repeat; background-image:url(\'' . base_path() . drupal_get_path('module', 'spider_fc') . '/images/reset_theme.png\')">
					<p style="font-weight: bold; padding-left: 51px; padding-top: 6px;">' . t('Reset Theme') . '</p>
				</div>';
  }
  $result .= '
  </fieldset>

  <fieldset style="width:45%; height:100%; float:right; border:none;">
  <legend>' . t('Header Parameters') . '</legend>
  <table>
  <col width="250" />
  <col width="200" />
  <tbody>
  <tr>
  <th>' . t('Header height') . '</th>
  <td>
  <input id="headerHeight" type="text" name="headerHeight_theme" value="' . $headerheight_theme . '" size="20" class="form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Header padding') . '</th>
  <td>
  <input id="headerPadding" type="text" name="headerPadding_theme" value="' . $headerpadding_theme . '" size="20" class="form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Header background color (gradient)') . '</th>
  <td>
  <input id="headerBgColors1" type="text" name="headerBgColors1_theme" value="' . $headerbgcolors1_theme . '" size="8" class="color form-text" ></input>
  <input id="headerBgColors2" type="text" name="headerBgColors2_theme" value="' . $headerbgcolors2_theme . '" size="8" class="color form-text" ></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Header border color') . '</th>
  <td>
  <input id="headerBgStrokeColor" ttype="text" name="headerBgStrokeColor_theme" value="' . $headerbgstrokecolor_theme . '" size="20" class="color form-text" ></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Header content color') . '</th>
  <td>
  <input id="headerContentColor" type="text" name="headerContentColor_theme" value="' . $headercontentcolor_theme . '" size="20" class="color form-text" ></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Header content stroke color') . '</th>
  <td>
  <input id="headerContentStrokeColor" type="text" name="headerContentStrokeColor_theme" value="' . $headercontentstrokecolor_theme . '" size="20" class="color form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Header content font size') . '</th>
  <td>
  <input id="headerFontSize" type="text" name="headerFontSize_theme" value="' . $headerfontsize_theme . '" size="20" class="form-text"></input>
  </td>
  </tr>
  </tbody>
  </table>
  </fieldset>
  </div>
  <div>
  <fieldset style="width:45%; height:100%; float:left; clear:both; border:none;">
  <legend>' . t('Body Parameters') . '</legend>
  <table>
  <col width="250" />
  <col width="200" />
  <tbody>
  <tr>
  <th>' . t('Weekdays text color') . '</th>
  <td>
  <input id="daysNamesColor" type="text" name="daysNamesColor_theme" value="' . $daysnamescolor_theme . '" size="20" class="color form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Weekdays text font size') . '</th>
  <td>
  <input id="daysNamesFontSize" type="text" name="daysNamesFontSize_theme" value="' . $daysnamesfontsize_theme . '" size="20" class="form-text"></input>
  </td>
  </tr>
  <!--<tr>
  <th>' . t('Weekdays area height') . '</th>
  <td>
  <input id="daysNamesHeight" type="text" name="daysNamesHeight_theme" value="' . $daysnamesheight_theme . '" size="20" class="form-text"></input>
  </td>
  </tr>-->
  <tr>
  <th>' . t('Days background color (gradient)') . '</th>
  <td>
  <input id="datesBgColors1" type="text" name="datesBgColors1_theme" value="' . $datesbgcolors1_theme . '" size="8" class="color form-text"></input>
  <input id="datesBgColors2" type="text" name="datesBgColors2_theme" value="' . $datesbgcolors2_theme . '" size="8" class="color form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Cell border color') . '</th>
  <td>
  <input id="datesBgStrokeColor" type="text" name="datesBgStrokeColor_theme" value="' . $datesbgstrokecolor_theme . '" size="20" class="color form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Background color of a cell with event with no priority') . '</th>
  <td>
  <input id="priority0Color" type="text" name="priority0Color_theme" value="' . $priority0color_theme . '" size="20" class="color form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Background color of a cell with event with low priority') . '</th>
  <td>
  <input id="priority1Color" type="text" name="priority1Color_theme" value="' . $priority1color_theme . '" size="20" class="color form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Background color of a cell with event with medium priority') . '</th>
  <td>
  <input id="priority2Color" type="text" name="priority2Color_theme" value="' . $priority2color_theme . '" size="20" class="color form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Background color of a cell with event with high priority') . '</th>
  <td>
  <input id="priority3Color" type="text" name="priority3Color_theme" value="' . $priority3color_theme . '" size="20" class="color form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Cell content font size') . '</th>
  <td>
  <input id="dateFontSize" type="text" name="dateFontSize_theme" value="' . $datefontsize_theme . '" size="20" class="form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Cell content color') . '</th>
  <td>
  <input id="dateColor" type="text" name="dateColor_theme" value="' . $datecolor_theme . '" size="20" class="color form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Current day cell border color') . '</th>
  <td>
  <input id="dateStrokeColor" type="text" name="dateStrokeColor_theme" value="' . $datestrokecolor_theme . '" size="20" class="color form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Show number of events') . '</th>
  <td>
  <input id="showDateEventsCount_theme_yes" type="radio" name="showDateEventsCount_theme" value="1" ' . ($showdateeventscount_theme == 1 ? 'CHECKED' : '') . '>' . t('Yes') . '</input>
  <input id="showDateEventsCount_theme_no" type="radio" name="showDateEventsCount_theme" value="0" ' . ($showdateeventscount_theme == 0 ? 'CHECKED' : '') . '>' . t('No') . '</input>
  </td>
  </tr>
  <tr>
  <th>' . t('Number of events font size') . '</th>
  <td>
  <input id="dateEventsCountFontSize" type="text" name="dateEventsCountFontSize_theme" value="' . $dateeventscountfontsize_theme . '" size="20" class="form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Number of events color') . '</th>
  <td>
  <input id="dateEventsCountColor" type="text" name="dateEventsCountColor_theme" value="' . $dateeventscountcolor_theme . '" size="20" class="color form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Events list header height(px)') . '</th>
  <td>
  <input id="eventsListHeaderHeight" type="text" name="eventsListHeaderHeight_theme" value="' . $eventslistheaderheight_theme . '" size="20" class="form-text"></input>
  </td>
  </tr>
  <!--<tr>
  <th>' . t('Events list header border color') . '</th>
  <td>
  <input id="eventsListHeaderStrokeColor" type="text" name="eventsListHeaderStrokeColor_theme" value="' . $eventslistheaderstrokecolor_theme . '" size="20" class="color form-text"></input>
  </td>
  </tr>-->
  <tr>
  <th>' . t('Events list header background color (gradient)') . '</th>
  <td>
  <input id="eventsListHeaderbgColors1" type="text" name="eventsListHeaderbgColors1_theme" value="' . $eventslistheaderbgcolors1_theme . '" size="8" class="color form-text"></input>
  <input id="eventsListHeaderbgColors2" type="text" name="eventsListHeaderbgColors2_theme" value="' . $eventslistheaderbgcolors2_theme . '" size="8" class="color form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Events list header content color') . '</th>
  <td>
  <input id="eventsListHeaderColor" type="text" name="eventsListHeaderColor_theme" value="' . $eventslistheadercolor_theme . '" size="20" class="color form-text"></input>
  </td>
  </tr>
  <!--<tr>
  <th>' . t('Events list header content hover color') . '</th>
  <td>
  <input id="eventsListHeaderHoverColor" type="text" name="eventsListHeaderHoverColor_theme" value="' . $eventslistheaderhovercolor_theme . '" size="20" class="color form-text"></input>
  </td>
  </tr>-->
  <tr>
  <th>' . t('Events list header content font size') . '</th>
  <td>
  <input id="eventsListHeaderFontSize" type="text" name="eventsListHeaderFontSize_theme" value="' . $eventslistheaderfontsize_theme . '" size="20" class="form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Event header height(px)') . '</th>
  <td>
  <input id="eventHeaderHeight" type="text" name="eventHeaderHeight_theme" value="' . $eventheaderheight_theme . '" size="20" class="form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Event header content font size') . '</th>
  <td>
  <input id="eventHeaderFontSize" type="text" name="eventHeaderFontSize_theme" value="' . $eventheaderfontsize_theme . '" size="20" class="form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Event header content color') . '</th>
  <td>
  <input id="eventHeaderColor" type="text" name="eventHeaderColor_theme" value="' . $eventheadercolor_theme . '" size="20" class="color form-text"></input>
  </td>
  </tr>
  <!--<tr>
  <th>' . t('Event header content hover color') . '</th>
  <td>
  <input id="eventHeaderHoverColor" type="text" name="eventHeaderHoverColor_theme" value="' . $eventheaderhovercolor_theme . '" size="20" class="color form-text"></input>
  </td>
  </tr>-->
  <tr>
  <th>' . t('Event content background color (gradient)') . '</th>
  <td>
  <input id="eventContentBgColors1" type="text" name="eventContentBgColors1_theme" value="' . $eventcontentbgcolors1_theme . '" size="8" class="color form-text"></input>
  <input id="eventContentBgColors2" type="text" name="eventContentBgColors2_theme" value="' . $eventcontentbgcolors2_theme . '" size="8" class="color form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Event content dates font size') . '</th>
  <td>
  <input id="eventContentDatesFontSize" type="text" name="eventContentDatesFontSize_theme" value="' . $eventcontentdatesfontsize_theme . '" size="20" class="form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Event content dates color') . '</th>
  <td>
  <input id="eventContentDatesColor" type="text" name="eventContentDatesColor_theme" value="' . $eventcontentdatescolor_theme . '" size="20" class="color form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Event content description font size') . '</th>
  <td>
  <input id="eventContentDescriptionFontSize" type="text" name="eventContentDescriptionFontSize_theme" value="' . $eventcontentdescriptionfontsize_theme . '" size="20" class="form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Event content description color') . '</th>
  <td>
  <input id="eventContentDescriptionColor" type="text" name="eventContentDescriptionColor_theme" value="' . $eventcontentdescriptioncolor_theme . '" size="20" class="color form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Footer height(px)') . '</th>
  <td>
  <input id="footerHeight" type="text" name="footerHeight_theme" value="' . $footerheight_theme . '" size="20" class="form-text"></input>
  </td>
  </tr>
  <tr>
  <th>' . t('Footer content color') . '</th>
  <td>
  <input id="footerColor" type="text" name="footerColor_theme" value="' . $footercolor_theme . '" size="20" class="color form-text"></input>
  </td>
  </tr>
  <!--<tr>
  <th>' . t('Footer content hover color') . '</th>
  <td>
  <input id="footerHoverColor" type="text" name="footerHoverColor_theme" value="' . $footerhovercolor_theme . '" size="20" class="color form-text"></input>
  </td>
  </tr>-->
  </tbody>
  </table>
  </fieldset>';
  drupal_add_js('jQuery(function() {
    change_theme_slider("SpiderFC_mediaCtrlsAlpha", "slider-videoDefaultVolume1");
    change_theme_slider("SpiderFC_mediaCtrlsBgAlpha", "slider-videoDefaultVolume2");
    change_theme_slider("SpiderFC_videoDefaultVolume", "slider-videoDefaultVolume3");
    });', array('type' => 'inline', 'scope' => 'footer'));
  $result .= '
<fieldset style="width:45%; height:100%; float:right; border:none;">
<legend>' . t('Media  Parameters') . '</legend>
<table>
<col width="250" />
<col width="200" />
<tbody>
<tr>
<th>' . t('Media autoplay at start') . '</th>
<td>
<input id="mediaDefaultAutoplay_theme_yes" type="radio" name="mediaDefaultAutoplay_theme" value="1" ' . ($mediadefaultautoplay_theme == 1 ? 'CHECKED' : '') . '>' . t('Yes') . '</input>
<input id="mediaDefaultAutoplay_theme_no" type="radio" name="mediaDefaultAutoplay_theme" value="0" ' . ($mediadefaultautoplay_theme == 0 ? 'CHECKED' : '') . '>' . t('No') . '</input>
</td>
</tr>
<tr>
<th>' . t('Media scale type') . '</th>
<td>
<select id="mediaScaleType" name="mediaScaleType_theme" class="form-select">
<option value="scaleTypeTouchFromInside" ' . ($mediascaletype_theme == 'scaleTypeTouchFromInside' ? 'SELECTED' : '') . '>' . t('Inside') . '</option>
<option value="scaleTypeTouchFromOutside" ' . ($mediascaletype_theme == 'scaleTypeTouchFromOutside' ? 'SELECTED' : '') . '>' . t('Outside') . '</option>
<option value="scaleTypeTouchFromStratch" ' . ($mediascaletype_theme == 'scaleTypeTouchFromStratch' ? 'SELECTED' : '') . '>' . t('Stratch') . '</option>
</select>
</td>
</tr>
<tr>
<th>' . t('Media change duration') . '</th>
<td>
<input id="mediaShowDuration" type="text" name="mediaShowDuration_theme" value="' . $mediashowduration_theme . '" size="20" class="form-text"></input>
</td>
</tr>
<tr>
<th>' . t('Video default volume') . '</th>
<td>
<input id="SpiderFC_videoDefaultVolume" type="text" style="width:30px;" value="' . $videodefaultvolume_theme . '" name="videoDefaultVolume_theme" class="form-text">%
<div id="slider-videoDefaultVolume3" class="ui-slider ui-slider-horizontal ui-widget ui-widget-content ui-corner-all" style="width:107px">
</div>
</td>
</tr>
<tr>
<th>' . t('Video Autoplay in media slider') . '</th>
<td>
<input id="videoAutoplay_theme_yes" type="radio" name="videoAutoplay_theme" value="1" ' . ($videoautoplay_theme == 1 ? 'CHECKED' : '') . '>' . t('Yes') . '</input>
<input id="videoAutoplay_theme_no" type="radio" name="videoAutoplay_theme" value="0" ' . ($videoautoplay_theme == 0 ? 'CHECKED' : '') . '>' . t('No') . '</input>
</td>
</tr>
<tr>
<th>' . t('Media background color') . '</th>
<td>
<input id="mediaBgColor" type="text" name="mediaBgColor_theme" value="' . $mediabgcolor_theme . '" size="20" class="color form-text"></input>
</td>
</tr>
<tr>
<th>' . t('Media control buttons background color') . '</th>
<td>
<input id="mediaCtrlsBgColor" type="text" name="mediaCtrlsBgColor_theme" value="' . $mediactrlsbgcolor_theme . '" size="20" class="color form-text"></input>
</td>
</tr>
<tr>
<th>' . t('Media control buttons background transparency') . '</th>
<td>
<input id="SpiderFC_mediaCtrlsBgAlpha" type="text" style="width:30px;" value="' . $mediactrlsbgalpha_theme . '" name="mediaCtrlsBgAlpha_theme" class="form-text">%
<div id="slider-videoDefaultVolume2" class="ui-slider ui-slider-horizontal ui-widget ui-widget-content ui-corner-all" style="width:107px">

</div>
</td>
</tr>
<tr>
<th>' . t('Media control buttons color') . '</th>
<td>
<input id="mediaCtrlsColor" type="text" name="mediaCtrlsColor_theme" value="' . $mediactrlscolor_theme . '" size="20" class="color form-text"></input>
</td>
</tr>
<!--<tr>
<th>' . t('Media control buttons hover color') . '</th>
<td>
<input id="mediaCtrlsHoverColor" type="text" name="mediaCtrlsHoverColor_theme" value="' . $mediactrlshovercolor_theme . '" size="20" class="color form-text"></input>
</td>
</tr>-->
<tr>
<th>' . t('Media control buttons transparency') . '</th>
<td>
<input id="SpiderFC_mediaCtrlsAlpha" type="text" style="width:30px;" value="' . $mediactrlsalpha_theme . '" name="mediaCtrlsAlpha_theme" class="form-text">%
<div id="slider-videoDefaultVolume1" class="ui-slider ui-slider-horizontal ui-widget ui-widget-content ui-corner-all" style="width:107px">

</div>
</td>
</tr>
</tbody>
</table>
</fieldset>
</div>';
  drupal_add_js(drupal_get_path('module', 'spider_fc') . '/js/spider_fc_cal_save.js');
  if ($x == 'edit') {
    $string_theme_save_edit = url('admin/settings/spider_fc/Themes', array(
      'query' => array('theme' => 'save_edit', 'id' => ''),
      'absolute' => FALSE));
    $string_theme_apply_edit = url('admin/settings/spider_fc/Themes', array(
      'query' => array('theme' => 'apply_edit', 'id' => ''),
      'absolute' => FALSE));
    $string_theme_cancle_edit = url('admin/settings/spider_fc/Themes', array('absolute' => FALSE));
    drupal_add_js(array(
      'spider_fc' => array(
        'string_theme_save_edit' => $string_theme_save_edit,
        'string_theme_apply_edit' => $string_theme_apply_edit,
        'edit_theme_id' => $theme_id,
      ),
      ), 'setting');
    $result .= '
    <div style="width:45%; height:100%; float:left; clear:both;">
      <input type="submit" value="' . t('Save') . '" onclick=spider_fc_theme_save_edit() name="submit_theme" class="form-submit">
      <input type="submit" value="' . t('Apply') . '" onclick=spider_fc_theme_apply_edit() class="form-submit">
      <input type="button" value="' . t('Cancel') . '" onclick="window.location.href=\'' . $string_theme_cancle_edit . '\'" class="form-submit">
    </div>';
    $form['result'] = array(
      '#type' => 'fieldset',
      '#attributes' => array('class' => array('calendar')),
      '#value' => $result,
    );
  }
  else {
    $string_theme_save = url('admin/settings/spider_fc/Themes', array('query' => array('theme' => 'save_new'), 'absolute' => FALSE));
    $string_theme_apply = url('admin/settings/spider_fc/Themes', array('query' => array('theme' => 'apply_new'), 'absolute' => FALSE));
    $string_theme_cancle = url('admin/settings/spider_fc/Themes', array('absolute' => FALSE));
    drupal_add_js(array(
      'spider_fc' => array(
        'string_theme_save' => $string_theme_save,
        'string_theme_apply' => $string_theme_apply,
      ),
      ), 'setting');
    $result .= '
    <div style="width:45%; height:100%; float:left; clear:both;">
      <input id="submit_new_theme" type="submit" value="' . t('Save') . '" onclick="spider_fc_theme_save();" name="submit_theme" class="form-submit">
      <input id="apply_new_theme" type="submit" value="' . t('Apply') . '" onclick="spider_fc_theme_apply();" class="form-submit">
      <input type="button" value="' . t('Cancel') . '" onclick="window.location.href=\'' . $string_theme_cancle . '\'" class="form-submit">
    </div>';
    $form['result'] = array(
      '#type' => 'fieldset',
      '#attributes' => array('class' => array('calendar')),
      '#value' => $result,
    );
  }
  return $form;
}

/**
 * Save theme.
 */
function spider_fc_save_cal_theme($x, $id) {
  if ($x == 'new') {
    $default_settings = 0;
    $title_theme = check_plain($_POST['title_theme']);
  }
  else {
    $default_settings = db_query("SELECT default_settings FROM {spider_fc_theme_table} WHERE id = :id", array(':id' => $id))->fetchField();
    if ($default_settings == 1) {
      $title_theme = db_query("SELECT title FROM {spider_fc_theme_table} WHERE id = :id", array(':id' => $id))->fetchField();
    }
    else {
      $title_theme = check_plain($_POST['title_theme']);
    }
  }
  $startwithmonday_theme = 1 - check_plain($_POST['startWithMonday_theme']);
  $dateformat_theme = check_plain($_POST['dateFormat_theme']);
  $dateformatshort_theme = check_plain($_POST['dateFormatShort_theme']);
  $time_theme = check_plain($_POST['time_theme']);
  $appmaxwidth_theme = check_plain($_POST['appMaxWidth_theme']);
  $appmaxheight_theme = check_plain($_POST['appMaxHeight_theme']);
  $appminwidth_theme = check_plain($_POST['appMinWidth_theme']);
  $appminheight_theme = check_plain($_POST['appMinHeight_theme']);
  $startviewsize_theme = check_plain($_POST['startViewSize_theme']);
  $startviewstate_theme = check_plain($_POST['startViewState_theme']);
  $bgcolors1_theme = check_plain($_POST['bgColors1_theme']);
  $bgcolors2_theme = check_plain($_POST['bgColors2_theme']);
  $bgstrokecolor_theme = check_plain($_POST['bgStrokeColor_theme']);
  $bgcornerradius_theme = check_plain($_POST['bgCornerRadius_theme']);
  $headerheight_theme = check_plain($_POST['headerHeight_theme']);
  $headerpadding_theme = check_plain($_POST['headerPadding_theme']);
  $headerbgcolors1_theme = check_plain($_POST['headerBgColors1_theme']);
  $headerbgcolors2_theme = check_plain($_POST['headerBgColors2_theme']);
  $headerbgstrokecolor_theme = check_plain($_POST['headerBgStrokeColor_theme']);
  $headercontentcolor_theme = check_plain($_POST['headerContentColor_theme']);
  $headercontenthovercolor_theme = '';
  $headercontentstrokecolor_theme = check_plain($_POST['headerContentStrokeColor_theme']);
  $headerfontsize_theme = check_plain($_POST['headerFontSize_theme']);
  $daysnamescolor_theme = check_plain($_POST['daysNamesColor_theme']);
  $daysnamesfontsize_theme = check_plain($_POST['daysNamesFontSize_theme']);
  $daysnamesheight_theme = '';
  $datesbgcolors1_theme = check_plain($_POST['datesBgColors1_theme']);
  $datesbgcolors2_theme = check_plain($_POST['datesBgColors2_theme']);
  $datesbgstrokecolor_theme = check_plain($_POST['datesBgStrokeColor_theme']);
  $priority0color_theme = check_plain($_POST['priority0Color_theme']);
  $priority1color_theme = check_plain($_POST['priority1Color_theme']);
  $priority2color_theme = check_plain($_POST['priority2Color_theme']);
  $priority3color_theme = check_plain($_POST['priority3Color_theme']);
  $datefontsize_theme = check_plain($_POST['dateFontSize_theme']);
  $datecolor_theme = check_plain($_POST['dateColor_theme']);
  $datestrokecolor_theme = check_plain($_POST['dateStrokeColor_theme']);
  $showdateeventscount_theme = check_plain($_POST['showDateEventsCount_theme']);
  $dateeventscountfontsize_theme = check_plain($_POST['dateEventsCountFontSize_theme']);
  $dateeventscountcolor_theme = check_plain($_POST['dateEventsCountColor_theme']);
  $eventslistheaderheight_theme = check_plain($_POST['eventsListHeaderHeight_theme']);
  $eventslistheaderstrokecolor_theme = '';
  $eventslistheaderbgcolors1_theme = check_plain($_POST['eventsListHeaderbgColors1_theme']);
  $eventslistheaderbgcolors2_theme = check_plain($_POST['eventsListHeaderbgColors2_theme']);
  $eventslistheadercolor_theme = check_plain($_POST['eventsListHeaderColor_theme']);
  $eventslistheaderhovercolor_theme = '';
  $eventslistheaderfontsize_theme = check_plain($_POST['eventsListHeaderFontSize_theme']);
  $eventheaderheight_theme = check_plain($_POST['eventHeaderHeight_theme']);
  $eventheaderfontsize_theme = check_plain($_POST['eventHeaderFontSize_theme']);
  $eventheadercolor_theme = check_plain($_POST['eventHeaderColor_theme']);
  $eventheaderhovercolor_theme = '';
  $eventcontentbgcolors1_theme = check_plain($_POST['eventContentBgColors1_theme']);
  $eventcontentbgcolors2_theme = check_plain($_POST['eventContentBgColors2_theme']);
  $eventcontentdatesfontsize_theme = check_plain($_POST['eventContentDatesFontSize_theme']);
  $eventcontentdatescolor_theme = check_plain($_POST['eventContentDatesColor_theme']);
  $eventcontentdescriptionfontsize_theme = check_plain($_POST['eventContentDescriptionFontSize_theme']);
  $eventcontentdescriptioncolor_theme = check_plain($_POST['eventContentDescriptionColor_theme']);
  $mediadefaultautoplay_theme = check_plain($_POST['mediaDefaultAutoplay_theme']);
  $mediascaletype_theme = check_plain($_POST['mediaScaleType_theme']);
  $mediashowduration_theme = check_plain($_POST['mediaShowDuration_theme']);
  $videodefaultvolume_theme = check_plain($_POST['videoDefaultVolume_theme']);
  $videoautoplay_theme = check_plain($_POST['videoAutoplay_theme']);
  $mediabgcolor_theme = check_plain($_POST['mediaBgColor_theme']);
  $mediactrlsbgcolor_theme = check_plain($_POST['mediaCtrlsBgColor_theme']);
  $mediactrlsbgalpha_theme = check_plain($_POST['mediaCtrlsBgAlpha_theme']);
  $mediactrlscolor_theme = check_plain($_POST['mediaCtrlsColor_theme']);
  $mediactrlshovercolor_theme = '';
  $mediactrlsalpha_theme = check_plain($_POST['mediaCtrlsAlpha_theme']);
  $footerheight_theme = check_plain($_POST['footerHeight_theme']);
  $footercolor_theme = check_plain($_POST['footerColor_theme']);
  $footerhovercolor_theme = '';
  if ($x == 'new') {
    $theme = array(
      'title' => $title_theme,
      'startWithMonday' => $startwithmonday_theme,
      'dateFormat' => $dateformat_theme,
      'dateFormatShort' => $dateformatshort_theme,
      'time' => $time_theme,
      'appMaxWidth' => $appmaxwidth_theme,
      'appMaxHeight' => $appmaxheight_theme,
      'appMinWidth' => $appminwidth_theme,
      'appMinHeight' => $appminheight_theme,
      'startViewSize' => $startviewsize_theme,
      'startViewState' => $startviewstate_theme,
      'bgColors1' => $bgcolors1_theme,
      'bgColors2' => $bgcolors2_theme,
      'bgStrokeColor' => $bgstrokecolor_theme,
      'bgCornerRadius' => $bgcornerradius_theme,
      'headerHeight' => $headerheight_theme,
      'headerPadding' => $headerpadding_theme,
      'headerBgColors1' => $headerbgcolors1_theme,
      'headerBgColors2' => $headerbgcolors2_theme,
      'headerBgStrokeColor' => $headerbgstrokecolor_theme,
      'headerContentColor' => $headercontentcolor_theme,
      'headerContentHoverColor' => $headercontenthovercolor_theme,
      'headerContentStrokeColor' => $headercontentstrokecolor_theme,
      'headerFontSize' => $headerfontsize_theme,
      'daysNamesColor' => $daysnamescolor_theme,
      'daysNamesFontSize' => $daysnamesfontsize_theme,
      'daysNamesHeight' => $daysnamesheight_theme,
      'datesBgColors1' => $datesbgcolors1_theme,
      'datesBgColors2' => $datesbgcolors2_theme,
      'datesBgStrokeColor' => $datesbgstrokecolor_theme,
      'priority0Color' => $priority0color_theme,
      'priority1Color' => $priority1color_theme,
      'priority2Color' => $priority2color_theme,
      'priority3Color' => $priority3color_theme,
      'dateFontSize' => $datefontsize_theme,
      'dateColor' => $datecolor_theme,
      'dateStrokeColor' => $datestrokecolor_theme,
      'showDateEventsCount' => $showdateeventscount_theme,
      'dateEventsCountFontSize' => $dateeventscountfontsize_theme,
      'dateEventsCountColor' => $dateeventscountcolor_theme,
      'eventsListHeaderHeight' => $eventslistheaderheight_theme,
      'eventsListHeaderStrokeColor' => $eventslistheaderstrokecolor_theme,
      'eventsListHeaderbgColors1' => $eventslistheaderbgcolors1_theme,
      'eventsListHeaderbgColors2' => $eventslistheaderbgcolors2_theme,
      'eventsListHeaderColor' => $eventslistheadercolor_theme,
      'eventsListHeaderHoverColor' => $eventslistheaderhovercolor_theme,
      'eventsListHeaderFontSize' => $eventslistheaderfontsize_theme,
      'eventHeaderHeight' => $eventheaderheight_theme,
      'eventHeaderFontSize' => $eventheaderfontsize_theme,
      'eventHeaderColor' => $eventheadercolor_theme,
      'eventHeaderHoverColor' => $eventheaderhovercolor_theme,
      'eventContentBgColors1' => $eventcontentbgcolors1_theme,
      'eventContentBgColors2' => $eventcontentbgcolors2_theme,
      'eventContentDatesFontSize' => $eventcontentdatesfontsize_theme,
      'eventContentDatesColor' => $eventcontentdatescolor_theme,
      'eventContentDescriptionFontSize' => $eventcontentdescriptionfontsize_theme,
      'eventContentDescriptionColor' => $eventcontentdescriptioncolor_theme,
      'mediaDefaultAutoplay' => $mediadefaultautoplay_theme,
      'mediaScaleType' => $mediascaletype_theme,
      'mediaShowDuration' => $mediashowduration_theme,
      'videoDefaultVolume' => $videodefaultvolume_theme,
      'videoAutoplay' => $videoautoplay_theme,
      'mediaBgColor' => $mediabgcolor_theme,
      'mediaCtrlsBgColor' => $mediactrlsbgcolor_theme,
      'mediaCtrlsBgAlpha' => $mediactrlsbgalpha_theme,
      'mediaCtrlsColor' => $mediactrlscolor_theme,
      'mediaCtrlsHoverColor' => $mediactrlshovercolor_theme,
      'mediaCtrlsAlpha' => $mediactrlsalpha_theme,
      'footerHeight' => $footerheight_theme,
      'footerColor' => $footercolor_theme,
      'footerHoverColor' => $footerhovercolor_theme,
      'default_settings' => $default_settings,
    );
    drupal_set_message(t('New theme created.'), 'status', FALSE);
    drupal_write_record('spider_fc_theme_table', $theme);
  }
  else {
    drupal_set_message(t('Theme saved.'), 'status', FALSE);
    db_query("UPDATE {spider_fc_theme_table} SET
        title= :title,
        startWithMonday= :startWithMonday,
        dateFormat= :dateFormat,
        dateFormatShort= :dateFormatShort,
        time= :time,
        appMaxWidth= :appMaxWidth,
        appMaxHeight= :appMaxHeight,
        appMinWidth= :appMinWidth,
        appMinHeight= :appMinHeight,
        startViewSize= :startViewSize,
        startViewState= :startViewState,
        bgColors1= :bgColors1,
        bgColors2= :bgColors2,
        bgStrokeColor= :bgStrokeColor,
        bgCornerRadius= :bgCornerRadius,
        headerHeight= :headerHeight,
        headerPadding= :headerPadding,
        headerBgColors1= :headerBgColors1,
        headerBgColors2= :headerBgColors2,
        headerBgStrokeColor= :headerBgStrokeColor,
        headerContentColor= :headerContentColor,
        headerContentHoverColor= :headerContentHoverColor,
        headerContentStrokeColor= :headerContentStrokeColor,
        headerFontSize= :headerFontSize,
        daysNamesColor= :daysNamesColor,
        daysNamesFontSize= :daysNamesFontSize,
        daysNamesHeight= :daysNamesHeight,
        datesBgColors1= :datesBgColors1,
        datesBgColors2= :datesBgColors2,
        datesBgStrokeColor= :datesBgStrokeColor,
        priority0Color= :priority0Color,
        priority1Color= :priority1Color,
        priority2Color= :priority2Color,
        priority3Color= :priority3Color,
        dateFontSize= :dateFontSize,
        dateColor= :dateColor,
        dateStrokeColor= :dateStrokeColor,
        showDateEventsCount= :showDateEventsCount,
        dateEventsCountFontSize= :dateEventsCountFontSize,
        dateEventsCountColor= :dateEventsCountColor,
        eventsListHeaderHeight= :eventsListHeaderHeight,
        eventsListHeaderStrokeColor= :eventsListHeaderStrokeColor,
        eventsListHeaderbgColors1= :eventsListHeaderbgColors1,
        eventsListHeaderbgColors2= :eventsListHeaderbgColors2,
        eventsListHeaderColor= :eventsListHeaderColor,
        eventsListHeaderHoverColor= :eventsListHeaderHoverColor,
        eventsListHeaderFontSize= :eventsListHeaderFontSize,
        eventHeaderHeight= :eventHeaderHeight,
        eventHeaderFontSize= :eventHeaderFontSize,
        eventHeaderColor= :eventHeaderColor,
        eventHeaderHoverColor= :eventHeaderHoverColor,
        eventContentBgColors1= :eventContentBgColors1,
        eventContentBgColors2= :eventContentBgColors2,
        eventContentDatesFontSize= :eventContentDatesFontSize,
        eventContentDatesColor= :eventContentDatesColor,
        eventContentDescriptionFontSize= :eventContentDescriptionFontSize,
        eventContentDescriptionColor= :eventContentDescriptionColor,
        footerHeight= :footerHeight,
        footerColor= :footerColor,
        footerHoverColor= :footerHoverColor,
        mediaDefaultAutoplay= :mediaDefaultAutoplay,
        mediaScaleType= :mediaScaleType,
        mediaShowDuration= :mediaShowDuration,
        videoDefaultVolume= :videoDefaultVolume,
        videoAutoplay= :videoAutoplay,
        mediaBgColor= :mediaBgColor,
        mediaCtrlsBgColor= :mediaCtrlsBgColor,
        mediaCtrlsBgAlpha= :mediaCtrlsBgAlpha,
        mediaCtrlsColor= :mediaCtrlsColor,
        mediaCtrlsHoverColor= :mediaCtrlsHoverColor,
        mediaCtrlsAlpha= :mediaCtrlsAlpha,
        default_settings= :default_settings
        WHERE id = :id", array(
          ':title' => $title_theme,
          ':startWithMonday' => $startwithmonday_theme,
          ':dateFormat' => $dateformat_theme,
          ':dateFormatShort' => $dateformatshort_theme,
          ':time' => $time_theme,
          ':appMaxWidth' => $appmaxwidth_theme,
          ':appMaxHeight' => $appmaxheight_theme,
          ':appMinWidth' => $appminwidth_theme,
          ':appMinHeight' => $appminheight_theme,
          ':startViewSize' => $startviewsize_theme,
          ':startViewState' => $startviewstate_theme,
          ':bgColors1' => $bgcolors1_theme,
          ':bgColors2' => $bgcolors2_theme,
          ':bgStrokeColor' => $bgstrokecolor_theme,
          ':bgCornerRadius' => $bgcornerradius_theme,
          ':headerHeight' => $headerheight_theme,
          ':headerPadding' => $headerpadding_theme,
          ':headerBgColors1' => $headerbgcolors1_theme,
          ':headerBgColors2' => $headerbgcolors2_theme,
          ':headerBgStrokeColor' => $headerbgstrokecolor_theme,
          ':headerContentColor' => $headercontentcolor_theme,
          ':headerContentHoverColor' => $headercontenthovercolor_theme,
          ':headerContentStrokeColor' => $headercontentstrokecolor_theme,
          ':headerFontSize' => $headerfontsize_theme,
          ':daysNamesColor' => $daysnamescolor_theme,
          ':daysNamesFontSize' => $daysnamesfontsize_theme,
          ':daysNamesHeight' => $daysnamesheight_theme,
          ':datesBgColors1' => $datesbgcolors1_theme,
          ':datesBgColors2' => $datesbgcolors2_theme,
          ':datesBgStrokeColor' => $datesbgstrokecolor_theme,
          ':priority0Color' => $priority0color_theme,
          ':priority1Color' => $priority1color_theme,
          ':priority2Color' => $priority2color_theme,
          ':priority3Color' => $priority3color_theme,
          ':dateFontSize' => $datefontsize_theme,
          ':dateColor' => $datecolor_theme,
          ':dateStrokeColor' => $datestrokecolor_theme,
          ':showDateEventsCount' => $showdateeventscount_theme,
          ':dateEventsCountFontSize' => $dateeventscountfontsize_theme,
          ':dateEventsCountColor' => $dateeventscountcolor_theme,
          ':eventsListHeaderHeight' => $eventslistheaderheight_theme,
          ':eventsListHeaderStrokeColor' => $eventslistheaderstrokecolor_theme,
          ':eventsListHeaderbgColors1' => $eventslistheaderbgcolors1_theme,
          ':eventsListHeaderbgColors2' => $eventslistheaderbgcolors2_theme,
          ':eventsListHeaderColor' => $eventslistheadercolor_theme,
          ':eventsListHeaderHoverColor' => $eventslistheaderhovercolor_theme,
          ':eventsListHeaderFontSize' => $eventslistheaderfontsize_theme,
          ':eventHeaderHeight' => $eventheaderheight_theme,
          ':eventHeaderFontSize' => $eventheaderfontsize_theme,
          ':eventHeaderColor' => $eventheadercolor_theme,
          ':eventHeaderHoverColor' => $eventheaderhovercolor_theme,
          ':eventContentBgColors1' => $eventcontentbgcolors1_theme,
          ':eventContentBgColors2' => $eventcontentbgcolors2_theme,
          ':eventContentDatesFontSize' => $eventcontentdatesfontsize_theme,
          ':eventContentDatesColor' => $eventcontentdatescolor_theme,
          ':eventContentDescriptionFontSize' => $eventcontentdescriptionfontsize_theme,
          ':eventContentDescriptionColor' => $eventcontentdescriptioncolor_theme,
          ':footerHeight' => $footerheight_theme,
          ':footerColor' => $footercolor_theme,
          ':footerHoverColor' => $footerhovercolor_theme,
          ':mediaDefaultAutoplay' => $mediadefaultautoplay_theme,
          ':mediaScaleType' => $mediascaletype_theme,
          ':mediaShowDuration' => $mediashowduration_theme,
          ':videoDefaultVolume' => $videodefaultvolume_theme,
          ':videoAutoplay' => $videoautoplay_theme,
          ':mediaBgColor' => $mediabgcolor_theme,
          ':mediaCtrlsBgColor' => $mediactrlsbgcolor_theme,
          ':mediaCtrlsBgAlpha' => $mediactrlsbgalpha_theme,
          ':mediaCtrlsColor' => $mediactrlscolor_theme,
          ':mediaCtrlsHoverColor' => $mediactrlshovercolor_theme,
          ':mediaCtrlsAlpha' => $mediactrlsalpha_theme,
          ':default_settings' => $default_settings,
          ':id' => $id,
        ));
  }
}
